 Getting Started

Getting Started
Visit us on Facebook

DigiView User's Guide Version 9.2, Last Updated 05/24/2017

www.tech-tools.com (972) 272-9392 Email Support Email Sales

Thank You for choosing TechTools for your development needs.

DigiView is a highly productive, thoroughly integrated tool with many in-depth features when compared to other PC based Logic Analyzers. Each feature is deeply integrated and complete with options that might not be immediately apparent. To benefit from all of DigiView's features we suggest taking the time to briefly review our User's Guide. Some portions will cover obvious features or those you may already be aware of however, you may find one of those 'must have' features once you review this guide and start using the software.

▪ Installing the Software
▪ Installing the USB Drivers
▪ USB Connection

Launching the software can be done by any of the standard methods (Start Menu, Desktop Shortcut, selecting "Open" on a project file, etc). But the following sections provide much needed information on what to do when the software launches and some basic usage that will help you get the most benefit from our software such as using the Left or Right mouse buttons on many of our buttons to activate opposite or symmetrical functions (Dual Function Buttons).

Some 'Must See' Basics

The Section "Menus, Tool Bars and Mouse Basics" covers some fundamental basics used throughout the program such as using both Left and Right mouse clicks on many of our dual function buttons.

See: Menus, Tool Bars and Mouse Basics

Some Layout and Window Placement

DigiView's software has a very customizable user interface to adapt to your needs. Docking, Tabbing and aligning the various Feature Windows on the screen is covered in the Window Arrangement section.

See: Window Arrangement

Getting a Project Started

After installing the software and connecting the DigiView hardware we suggest opening some of the included project examples to experiment with, even if your Device Under Test is configured differently than the example. This will help you get familiar with the flexibility of DigiView's software.

The section "Project Selections" covers the initial startup screen and selecting one of our example projects (that come complete with captured data).

See: Project Selections


Installing the Software

1. Installing the Software

Chances are that you already know this part but ...

Install first, then connect

Always install our software before connecting the DigiView Logic Analyzer to the PC. The Operating System can become confused if it sees the device connected before the proper drivers have been installed.

Installing from CD ROM

Insert the CD ROM in your CD Drive. If the installation program does not auto-start, then go to the CD ROM drive and Double-Click on the only executable file in the root directory of the CD. If you are presented with a choice of products, select the DIGIVIEW software and follow the prompts to complete the installation.

Installing from a WEB Download

If you downloaded the software from our web site, double-click on the file you downloaded to launch the self-extracting install program. Follow the prompts to install the software.

(see also: Installing USB Drivers)


Installing the USB Drivers

Our DigiView software and drivers are Authenticode signed.

If Windows reports that the publisher is unknown or that the software is not signed, then the files are corrupt, infected or otherwise modified. Cancel the installation, delete the file and download an authentic copy from our web site: http://www.tech-tools.com. The Authenticode signature is timestamped to ensure the signature remains valid even if our Certificate eventually expires. In other words, it will not 'time-out.' You will be able to re-install the software and drivers, even if we go out of business or fail to renew our certificate.

Run the application installer BEFORE plugging in the hardware. It installs the application software and pre-installs the drivers. You can accept the defaults or modify to suite your needs.

Depending on your version of Windows and settings, the system might ask your permission when installing the application and again when the drivers are installed.

When the installation is complete, plug the DigiView into a USB 3.0 SuperSpeed (supported by DV5 series) or a USB 2.0 high-speed port. Preferably connect to a port directly mounted to the motherboard at the rear of the computer. Current versions of Windows will see the hardware, locate the pre-installed drivers and complete the driver installation.

NOTE: The very first time DigiView is connected, the Operating System will complete the driver installation. If you receive the message "Driver Failed", then you may need to reboot the computer in order for the OS to finish the installation it started when you connected DigiView.

This version is compatible with Win 7/8/10 (32bit and 64bit versions).

Driver Framework

If this is the first driver on your system to use the latest driver framework, Windows will take additional steps to update the system. Newer frameworks coexist with older frameworks, ensuring that existing drivers continue to operate as before. Unfortunately, this takes Windows several minutes and requires a system reboot to complete. Note that this update occurs (if required) when you connect DigiView to the PC – not during our application install.


USB Connection

Power:

▪ DV3100, DV3109, DV3200, DV3209, DV3409, DV509, DV518:

Plug DigiView directly into a USB port on your PC or into a POWERED HUB. If using an external hub, you should use one with its own power supply. Most bus-powered hubs can not provide enough power to operate DigiView.

▪ DV3400, DV3500:

Powered by an external power supply, so USB power is of no concern.

Speed:

▪ DV3100, DV3109, DV3200, DV3209, DV3400, DV3409, DV3500:

You will experience better performance on a 2.0 port (High Speed @ 480 Mbps), but a 1.1 port is sufficient.

▪ DV509, DV518:

You will experience the best streaming performance on a 3.0 port (SuperSpeed @ 5 Gbps). However, these units are compatible with 2.0 ports (High Speed @ 480 Mbps). You can still stream at most sample rates using a 2.0 port unless the data rates are too high. If the streaming terminates early the guaranteed minimum is still captured in the large Hardware buffer.

Connection Quality:

Preferably, use a high-speed USB port located directly on the motherboard at the rear of the computer or a port anywhere on the computer case that utilizes a high quality cable internally. If you use a different USB cable than the one provided with the unit, it should match the full rated speed of the USB connection to prevent communication errors or loss of data.


Menus, Tool Bars and Mouse basics

This section covers some fundamental basics used throughout the program. Knowing this information will be a tremendous help if you have never used our software or are updating to the latest version.

Menus

Due to having numerous menus in the application, all menus have a Title Bar for identification. Clicking anywhere in the title of a menu will dismiss it.

main menu button

The Main Menu - Our application menu has changed to a single-button vertical menu located in the upper-left corner of the main application window's top tool bar.

Local Menus - Each feature window has its own local menu on its tool bar. Some windows will have an additional menu accessible by a Right-Click in the body of the window or other objects that will display a menu when clicked.

Common Local Menu "Window" Item - Menu items on the local menu are options or functions specific to the window's content. Local Menus also have a "Window" menu item with common general options such as Tool Bar visibility and placement, Font properties, undocking and so forth.

Tool Bars

The main application has two tool bars. One at the top and bottom of the application window.

see Top Tool Bar, Bottom Tool Bar

Local Window Tool Bars - All docking windows have a configurable tool bar that auto-positions itself at the top or left side of the window depending on the height to width ratio and where the window is placed. This feature can be disabled and tool bar placement can be chosen by using the local menu's Window option.

These tool bars can also be hidden by double clicking on any area not occupied by a button or by using the small triangle in the upper-left corner. Repeating the process will re-open the tool bar.

Tool Bar Top | Tool Bar Left
toolbar open | toolbar left
Tool Bar Closed |
toolbar closed |

Mouse Basics

DigiView software uses the mouse position and mouse clicks to determine which window will respond to mouse wheel movement and keyboard actions. It also responds to Left and Right mouse clicks on the same item with different actions. The Middle mouse wheel (button) is also utilized when clicked. When moving the mouse over a docked window or clicking on its border or tool bar, its contents will appear to depress with a line drawn around it, meaning it will now respond to any key strokes or mouse wheel movements.

Focus Example: If you position the mouse over a Waveform window, then press a cursor key, the window will scroll (see Waveform View Mouse Functions).

Left/Right Click Example: A Left-Click on a Search Button will search backwards from the point clicked, while a Right-Click on a Search Button will search forward from the point clicked. Most symmetrical or opposite functions utilize a Left and a Right click.

Middle Mouse Button Example: Clicking the middle mouse button in a Waveform View will activate Quick Measurements and the measurement starting point in Waveform Views.


Top Tool Bar

The tool bar at the top of the main application window provides fast access to the main menu, several common project functions, analyzer control buttons and a hardware status message.

main menu button

The Main Menu - Opens the vertical application menu. Access all major features, project settings, search definitions, windows, configuration options, printing, saving images and exporting from a single menu format.

project selections button

Project Selections - Opens the Project Selections window to start a new project, choose an existing project or load an example.

save project button

Save Project - Saves the project including the currently loaded capture data. See Project Operations.

project settings button

Project Settings - Opens the Project Configuration Options window. Create Signal Definitions, formulate an advanced Trigger, set the Analyzer options, control the Capture History and set Acquisition options.

Add a New Signal - Opens a selection window for adding a Signal to the project.

Delete a Signal - Opens a selection menu of all Signal Definitions currently in the project. Selecting an item will remove it from the project and any other windows or configurations such as Trigger configurations, Search definitions, Tables and List views.

feature window button

Open a Feature Window - Select from several feature windows such as another Waveform View, a Measurements window, an Auto Search window, a Marker Time/Delta window, a Status window or create a Tabular View for any Signal Definition in the project.

Search Manager - Opens the Search Manager window or brings it into view if already open. Manage Search Definitions and perform manual searches directly from this window.

single waveform view

split waveform view

Single or Split Waveform View - Two waveform views are always present in the center of the main application window. This button toggles the visibility of the secondary Waveform View.

Link and Unlink Waveforms - The Primary and Secondary Waveform views are permanently assigned to Link Groups 1 and 2 respectively. Use this button to temporarily cross-link the two groups so that all windows in both groups will stay time synchronized when any window of either group scrolls. Normally this would occur only within the same Link Group.

Analyzer Control and Status Message - Control buttons to activate the Analyzer's run modes (Preview, Auto Run, Run Once... for details see Capturing Data). A Status Message and trigger indicator are displayed immediately to the right of the Analyzer control buttons (for Details see Hardware Status).


Bottom Tool Bar

The tool bar at the bottom of the main application window provides fast access to the Capture History, the Analyzer status indicators and the project's assigned analyzer configuration.

The Project's assigned analyzer configuration - On the left of the bottom tool bar is displayed the Analyzer model and mode the project is configured to use. To configure the project for a different analyzer model or mode without starting from scratch, use the Clone Project option (see Cloning a Project).

historybuttons

historybar

Capture History Buttons and Selection Bar - Buttons to access the Capture History menu, Capture History Acquisition Options, Browsing, Bookmarking and deletion. The Bar Graph also behaves similar to a scroll bar by providing a means to quickly load a capture and see it's relative position in the history. For complete details see Capture History.

Hardware Status - On the right of the bottom tool bar is the Hardware Status indicators. For complete details see Hardware Status.


Window Arrangement

5. Window Arrangement

DigiView makes extensive use of Docking and Tabbing to permit very flexible window arrangements. All window settings, positions and sizes are saved along with the captured data anytime you save a project file. If the Auto Save feature is enabled this will also occur when exiting the program or opening a different project. These settings are all restored when you start the software or load an existing '.DVDAT' file (see Project Operations).

The main application can be referred to as the Primary or Main window.

The feature windows created from the Feature Windows menu or from the 'Windows' item of the main menu can be referred to as "secondary" or "dockable" windows.

To open a new window, select the "Feature Window" button (highlighted below) from the main tool bar or select Menu-> Window-> New.

feature window button

feature window menu

After opening a new window you can choose to move it anywhere on any monitor (multiple monitors are supported) or dock it into one of the 6 docking areas of the primary window. You can also create a Tabbed set of windows by docking it into a secondary window, even if that window is already docked.

▪ Docking Windows
▪ Tabbing Windows
▪ Alignment Management


Docking Windows

Dock Sites

The main application form has 6 docking sites that surround the two permanent Waveform Views that are in the center of the window; top, bottom, far top, far bottom, left and right. Any of the secondary windows can be 'docked' to one of these sites by dragging the window over the site. To prevent docking while dragging a window near a dock site, hold the Control key down while dragging.

Docking sites are invisible until a window has been docked. After docking a window, the dock displays a "handle" that can be used to size the dock or even close it. When all docked windows are removed from a dock it will automatically close and become invisible again. The image below was taken after docking a window in each site and then closing the dock so their locations are visible. The visibility of a closed dock site depends on the chosen color theme. The default theme (Slate) is used for all images in our documentation.

Docking a Window

When dragging a window over a docking site, a red rectangle appears to indicate that the dock site is willing to accept the window. Releasing the mouse button at this point docks the window to the main form at this spot.

Multiple windows can be docked into each of the dock sites in a variety of positions. As you drag additional windows over a given dock site, a different red rectangle indicates where the window would split into the dock site. You can drag it near the upper, top, lower, bottom, left or right edges to control the placement.

If you drag the window inward a bit more, the rectangle may change slightly to indicate a willingness to split the space occupied by an existing docked window rather than the dock site itself. Dragging the window further towards the center of a docked window will cause the rectangle to center in the window, which indicates the new window will "TAB" with the existing window (see: Tabbing Windows). This flexibility allows you to dock the windows in virtually any configuration.

Floating a Window

To 'undock' a window, simply drag it off of the dock site by its title bar or use the local menu item of Window-> undock. Tabbed windows can be undocked by clicking on the up arrow in its upper right corner, dragging its title bar or Right-Click on the tabs and select Undock. To remove a window from a group of tabs, simply drag its tab away from the group or use the local menu item of Window-> undock and it will become an independent window again. Any docking window can be undocked or removed from a Tab group by using the window's local menu.

Docking Override

If you wish to drag a window near a dock site but do not want it to actually dock, hold down the control key while dragging. This will disable the docking behavior, allowing you to drop the window without docking it.

(also see: Tabbing Windows).


Tabbing Windows

Secondary windows can be merged together by dragging one window over another. When you drag any secondary window over another secondary window, a centered rectangle line appears.

Dragging one window over another | Docking rectangle indicates the two windows will 'Tab' together
dragging to tab | dvtabwin

This indicates that dropping the window at this point will merge them together into a single window. Each original window appears on a TAB in the new window. Dropping additional windows onto the tabbed window creates additional tabs.

Tabbed windows can be docked just like any normal window. Also, a secondary window can be tabbed with a secondary window that has already been docked. Simply drag the window over the center of the docked window until you see the centered red rectangle. This will TAB them together at the docked location rather than dock the new window next to the existing window.

Floating a tabbed window

You float a tabbed window by dragging it off the dock site using its title bar, click on the up arrow in its upper right corner or Right-Click on the tabs and select Undock. This will float the entire tabbed window, keeping all of its tabs intact.

De-Tabbing a window

To remove a window from a tab, simple grab the tab and drag it,double-click on the tab or use its local menu item of Window->undock. This extracts the window from the tabs and floats it. When only two windows are tabbed together and one of these is removed, the tabbed window will be disposed of and the remaining window will now occupy the position previously occupied by the tabbed window. If the tabbed window had been docked, then the remaining window is now docked in its place. See Docking Windows for more information on docking.

Tab Window Options

After "Tabbing" windows together, several display options are available from a pop-up menu that is accessible by Right-Clicking on any of the Tabs. For details on these options, see Tab Window Options.

(also see: Docking Windows , Tab Window Options).


Tab Window Options

After "Tabbing" windows together, several display options are available from a pop-up menu that is accessible by Right-Clicking on any of the Tabs. Available options depend on the selected Tab Orientation.

Tab Orientation

Options are TOP, LEFT, BOTTOM, RIGHT. Choose one of these options to change the placement of the Tabs in a tabbed window.

Tab Rows

Options are SINGLE, MULTIPLE. Choose multiple to have the tabs align in a single row with "scroll buttons" on the right. Choosing multiple will change the tabs to the default multiple row behavior and remove the "scroll buttons". Tab orientation must be set to Top or Bottom to select the Single option.

Tab Size

Options are STRETCH to FIT, NORMAL. Choose "stretch to fit" to have the tabs "fill" the available space when multiple rows are present. Select "normal" to size the tab to the length of its text.

Tab Style

Options are TABS, BUTTONS, FLAT BUTTONS. Tab orientation must be set to "TOP" to select the option of Buttons or Flat Buttons.


Alignment Management

When not docked inside the main window, all windows have Alignment Management to assist positioning when near the main application or each other. The frame of the window being moved will become transparent for better visibility and highlight two of its edges (top or bottom and left or right) that align with the closest neighboring window.

When within a few pixels of alignment to a neighboring window, it will assist placement by gently resisting an overlap which effectively helps to 'snap' it into position. This method is more user friendly than the strong "magnetic" placement used by other applications and is especially beneficial when near multiple windows.

In the image below, the alignment of the left and top sides of the window being dragged is assisted for placement next to the tabbed window on the left.

To override Alignment Management, hold the Control key while positioning a window.


Project Operations

The DigiView software is project oriented in order to save and restore specific settings such as Analyzer Model, Signal Definitions, Search Definitions, Trigger Configurations, Window placement, Capture History and so forth.

When launching the software, the Project Selections window will open first so you can create a new project, open an existing project or load an example project that includes captured data.

Project Selections

project selections button

The Project Selections Window can be opened at any time using the "Open Project Selections" button from the main tool bar or by selecting Menu-> Project-> Project Selections. It will also open automatically when the software first launches.

For Details see Project Selections.

Starting with a new Project

If you want to create a new blank project, then select "New Project" from the Project Selections Window.

For Details see Creating a New Project.

Saving a Project

save project button

To save a project, select the "Save Project" button from the main tool bar or select Menu-> Project-> Save Project. When a project is saved, the capture being view will be embedded into the project file so it can be viewed the next time the project is opened, even if you manually delete the history folder or move the project file to a different location. This also makes it simple to share the project with a colleague since the history files and folder are not required to view the capture.

Auto Save/Restore

The "Auto Save" and "Restore last Project" options are found in the Environment settings. When both of these options are enabled, DigiView auto-saves the current data, settings and state of the project when you exit the program (or load a different project) and auto-loads the last opened project when you start the program. This allows you to pick-up where you left-off the next time you start the software without having to save/restore. You can still save the project manually anytime you need by selecting the "Save Project" button on the main tool bar.

See Also: Environment settings

Saving the Project with a new name or to a different directory

To save a project to a new location or with a different name, select Menu-> Project-> Save Project As. When saving this way, the entire Capture History can be copied to the new location and/or name as well.

See Also: Capture History.

The Save Project As function will prompt you for a new name and location by opening a system folder window. After making your selections, the DigiView software will ask permission to make a copy of the capture history for the new project.

copy history query

If you select yes when prompted, the entire capture history for the current project will be copied to the new project's location and name. Since the Capture History is stored in a sub-folder using the project's name, it is safe to create projects in the same directory. The "Copy History" prompt also displays the amount of disk space being used by the history files and will copy as many files as free space allows, leaving a safety margin.

The most recent captures are copied first (and kept in chronological order) in case you do not have enough space available or if you decide to cancel before the entire history is copied.

Cloning a Project for a New Analyzer

You may wish to open a Project configured for a different Analyzer model than the one currently attached to your PC and then want to capture new data with the new analyzer model without having to recreate the project and all its settings. To do this, you can can clone the project by selecting Menu-> Project-> Clone Settings...

For Details see Cloning Projects.


Project Selections

When first launching the software you can choose from several common project options. To prevent the Project Selections window from opening first, simply uncheck the "Always Show on Startup" check box. This feature can be re-enabled at any time from Environment Options.

project settings startup

new project button

Select the New Project button to create an entirely new project by choosing the analyzer model and mode. The project is automatically named and temporarily stored until you save the project. If you close the software or load another project without saving, the project will be discarded.

See Also: Creating a New Project

example project button

To see Analyzer specific DigiView projects that include a real-data capture, then Click on the Load Example Project button.

open file button

Select the Open File button to explore your computer storage and find a previous project to open. DigiView software registers the DVDAT file extension with the operating system and filters the browsing to only show these files. If you are browsing from the operating system instead of first launching the DigiView software, you can "open" the file directly and the DigiView software will automatically launch and skip the Project Selections window.

last project button

Moving the mouse over the Load Last Project button will highlight the previously opened project in the Recent Project list (it is always highlighted when the Project Selections window opens if it is available). Select this button to open it.

Recent Projects

The recent projects list will display the file name of the last 24 projects opened. When a project is highlighted (by using the mouse or the cursor keys) the full file path is displayed just above the list.

Double-Click on any filename to open the project.

Press the Enter Key to open a project that is already highlighted.

Always Show on Startup

Uncheck the "Always Show on Startup" check box to prevent the Project Selections window from opening when launching the software. When unchecked, the last opened project will automatically load instead. This option can be configured at any time from Environment Options.

See Also: Environment Options

Exit DigiView

Press this button or use the Escape Key to exit the program without loading or creating a project.


Creating a New Project

Steps to create a new project

A. Select a Project Template.

B. Select the Analyzer Model and Sample Mode.

C. Define the Signals and associated channels as needed.

To create a new project, open the the Project Selections Window and click on the "New Project" button.

project selections button

The Project Selections Window can be opened at any time using the "Open Project Selections" button from the main tool bar (highlighted above) or by selecting Menu-> Project-> Project Selections. This is the same window that opens when the software first launches.

For Details see Project Selections.

new project button

Once opened, click on the New Project button to open the Project Template window.

Note: If the Environment option of "Select from Templates" or the "always use this template" option had been selected previously, then the Analyzer Selection window will open, skipping this step (see Environment Options).

A. Select a project template

Templates are just a convenient starting point for your project. Once you learn the advanced features of our DigiView software, you may have your own starting point preferences and can use those as a starting template (see Creating and Managing Templates). Double-Click on any template description as a starting point for your project (or click once to highlight it and then click the "Create" button).

B. Select the Analyzer Model and Sample Mode

When creating a new project file, you must select the proper analyzer model and preferred sampling mode. For this reason, the software will provide a selection window with information regarding any detected hardware as shown below. Simply select the Model and the Sampling Mode, then click on the "OK" button to create the new project. If you do not want to create a new project, then select cancel to continue with the currently loaded project.

C. Define the Signals

After selecting OK above, a new untitled project is created. Since every project requires at least one signal definition, a reminder is displayed.

Select OK to select and configure a signal definition.

Select Ignore to defer adding a signal until later.

To select a specific signal type and associate physical channels to a signal, see Defining Signals. (also see: Capturing Data and Waveform Views)


Cloning Projects

You may wish to open a Project configured for a different Analyzer model than the one currently attached to your PC and use it with the new analyzer without having to recreate the project and all its settings. To do this, you can can clone the project by selecting

Menu-> Project->Clone Settings...

Note: Cloning will create a new project that retains all the settings of the current project. Cloning does not include the embedded data or Capture History.

After selecting Clone Settings, the Analyzer selection window will open.

Analyzer Models and OS Detection Count

This area lists all models of DigiView that are compatible with this version of Software. The software automatically selects the attached device when this window first opens. Next to each model's name is the enumerated count as detected by the Operating System (OS). The count will refresh automatically if the number of attached devices changes while this dialog is open.

Note: Hardware does not have to be present. You can clone the project for any model and mode.

Sample Mode

This area will change to the offer any modes available to the analyzer model selected on the left. As you choose a mode, its details will display

in the Analyzer Specifications area.

Refresh OS Detection

If you do not see a detection count next to the model of an attached device, try pressing the Refresh OS Detection button. If the count is still missing, then the Operating System is having difficulty identifying the analyzer and has not enumerated it on the USB bus. You may need to use a different USB port or verify that you are using a high bandwidth USB cable or the one supplied with the analyzer. If the unit is not detected properly when connected to a USB 2.0 port you may need an externally powered hub.

Cancel

You can still choose to stop the cloning at this point by pressing the Cancel button. The window will close and no action will be taken to clone the project.

OK

Proceed with the cloning as configured.

Select a new name for the cloned project

After selecting OK above, you will be prompted for a new name and location for the project before it is created and opened. Selecting Cancel will terminate the cloning, canceling the operation.

NOTE: If you clone a project to an Analyzer or mode that has fewer channels than its Signal Definitions are configured to use or the definitions use a higher channel number than available, many configuration items will be incomplete or invalid. The software will disable invalid Signal definitions, Search definitions and all other uses of an invalid Signal definition. Visual indicators will be present after the cloning if any item has been disabled.


Creating & Managing Templates

Creating a Template

Templates are a convenient starting point for your project. When creating a project you can select from several built-in templates or any custom template created from any of your projects. Once you learn the advanced features of our DigiView software, you may have your own starting point preferences and can use those as a starting template.

To create a template, open any project and select:

Menu->Project->Save As Template ... and the following Template Editor will appear.

Template Name

Enter a short name that will reflects the main feature of this template.

Template Description

Enter descriptive text that will help you remember the main differences in this template.

Thumbnail Image

This is the image that will display in the Template Selection window. It is created automatically from the current project.

Note 1: Although the image does not completely reflect the project's position relative to all monitors attached to the system, templates retain monitor specific information.

Note 2: Templates do not include Analyzer model, Signal definitions or anything that relies on signal specific information (i.e. search definitions). If these items are needed, then use the Clone Project feature instead.

Managing Templates

You may want to go back and remove some of the custom templates you have created. To do this select:

Menu->Project->Manage Templates ... and the Template Manager will appear.

Notice the button in the lower left corner. This button's caption will change for different actions.

This is the Action Button.

The Action button is disabled and indicates "No Template Selected" if you have not selected a template. Selecting OK without selecting a template will close the window without making any changes (same as using Cancel).

When a Built-in template is selected, the action button is disabled. Built-in templates can not be deleted.

Clicking the Action Button after selecting a custom template will mark that template for deletion. You can select and mark as many custom templates as you want. Each template that is marked for deletion will have a large red X over it, indicating this template will be selected when you select the OK button. A marked template is shown below.

The action button changes to "un-Mark & Keep" when you select a marked template. Click the action button to un-mark the template if you decide to keep it instead of deleting it.

Selecting a Default Template

To skip the Template selection window when creating new projects, select the "Always use" option in the lower left corner and select a template. Any template not marked for deletion can be selected as the default template. The selected default template will have a large green check mark over it, indicating it will be used as the default for any new projects after you Click the OK button. An example of the default indicator is displayed below.

To disable the default and have the selection window appear when a new project is created, open the manager again, select the template (marked with a green check mark) and then un-check the "Always use" option. You can also accomplish this by enabling the "Select From Templates" environment option.

Acquisition settings are always stored in the template but are ignored unless you choose to use them by selecting the Environment option "Use Template Acquisition settings". (see Environment Settings, Acquisition Options) .


Configuration

The DigiView software is designed to make configuration an easy task and less time consuming than most PC based analyzer systems. The easier it is to configure and understand your Capture and Analysis tool, the easier it will be to achieve successful results.

project settings button

To access the Project Configuration Options window, click the Project Settings button on the tool bar (highlighted above) or select Menu-> Configure-> and the name of the configuration group (Color Themes and Environment options are not project specific and are only available from this menu).

After the hardware is connected to the PC, the first step of configuration is to attach the physical channels to the circuit and create a Signal definition that uses those channels.

The first topic in this section covers the physical channel connections and cable color scheme. The next section provides detailed information on defining trigger conditions and associating a signal type with the physical channels. The remaining sections deal with user preferences.

You might want to review the USB Connection topic before proceeding.

▪ Connecting Data Lines
▪ Defining Signals and Triggers
▪ Plotting Signal Data
▪ Analyzer Options
▪ Acquisition Options
▪ Color Themes
▪ Using the Color Selection Dialog
▪ Environment Options


Connecting the Data Lines

The DigiView data cable has either 18 data lines and 2 grounds or 9 data lines and 1 ground. The 18 channel cables are partitioned into 2 identical groups. Each group has a ground and 9 data signals. The leads are color-coded. Black is ground, brown is the first data signal, red is the second data signal and so on in standard resistor color-code order. Additional groups of signals follow the same pattern.

The images below show the physical layout of the cable, channel numbers and color codes on various models. This figure is available by clicking the "Cable Connector Pinout" button in Project Configuration Options window or from any Signal Editor window. This opens a non-modal window so you can leave it open while you work if desired.

project settings button

To access the Project Configuration Options window, click the Project Settings button on the tool bar (highlighted above).

After the Project Configuration Options window opens, click the "Cable Connector Pinout" button to display the analyzer pin layout your project is configured for.

The data cable is made of high quality, extremely flexible wire and high quality connectors. It is expensive, so please remember to pull on the connectors; not the wires.

The connectors are designed to mate to .025 square posts and can be side-stacked on 100mil centers, making them ideal for direct connection to standard square post connectors. Additionally, they mate firmly with the included micro-grabber hooks for connecting to IC leads.

DigiView Models DV3100, DV3109, DV3200, DV3209, DV3409, DV509 and DV518 are designed for signals in the -20 to 20V range. DigiView Models DV3400 and DV3500 are designed for signals in the -50 to 50V range. Standard overshoots and undershoots common to digital systems will not harm it. The data lines have extra static protection circuits, current limits and impulse suppression. However, mishandling could still damage them. Simply treat them like you (should) treat your valuable one-of-a-kind target and DigiView will give you years of service.


Defining Signals and Triggers

The hardware will ignore any data lines that are not defined as part of a waveform or part of a trigger. This prevents unused signals from eating up the sample buffer space, even if they are connected to active signals. Signal definitions that are disabled will not be displayed, but may still be captured if the definition includes a channel that is in use by another signal definition.

project settings button

To access Signal and Trigger configuration options, click the Project Settings button on the tool bar (highlighted above) then select the Signal Definitions tab or the Hardware Triggers tab.

▪ Signals
▪ Triggers


Signals

Current DigiView hardware has either 9, 18 or 36 physical channels. However, we like to think in terms of symbolic names representing individual signals (clock,ALE) or groups of signals (DataBus, Address) rather than channel numbers(0,1,2..). We start by defining SIGNALS in terms of CHANNELS. This is the only place we deal directly with physical channels. The remainder of the software deals in terms of signal names rather than channel numbers. When we define signals, we are mapping a signal NAME to one or more physical channels. This also makes it possible to share the same physical channel with multiple signal definitions (see: Signal Editors).

Adding Signals to the Project

To create a Signal, select the "Add Signal" button from Tool Bar (highlighted above, or use the "Create Signal" button in the Project Configuration Options window).

Click on one of the selections to create a new signal. A new signal of the chosen type will be created and it's property editor will appear. You can rename the signal, select the physical channels to capture and set all associated options from the signal's editor. (For details on signal options, see the section: Signal Editors) Use the Escape Key or the red close button if you do not wish to add a signal.

Summary of the Project's Signals

project settings button

Tab Signal definitions

Signals added to the project are listed in the Project Configuration Options window on the Signal Definitions tab. To access the Project Configuration Options window, click the Project Settings button on the tool bar (highlighted above) then select the "Signal Definitions" tab.

The main purpose of the lower section of this tab is to provide an overview of all current signal definitions and their related channels. You can also Edit or Delete signals from this section, determine each signal's type, its basic colors and its enabled status.The Project Signals section is arranged in a grid with columns representing the physical channels and one row per defined signal. Notice that the same channel can be assigned to multiple signal definitions. In the image below, channel 8 has been assigned to several signal definitions (AD0-15, CODE, address, RD-DATA, WT-DATA).

Channel 0 is in the farthest right column and the highest channel number is in the farthest left column (as marked in the header.) A line appears every 4th channel (or nibble) for clarification.

In addition to the color references at the top of the window, you can click on the 'Cable Connector Pinout' button at the bottom of the window to see a physical layout of the attached analyzer's channel connector with channel numbers, ground connection locations and the color code of each channel.

Note: It is important to enable only channels that are actually being connected to your circuit. The remaining, unconnected channels will be floating and will most likely pick up noise or power line hum. If enabled, these transitions will get stored, wasting storage space. It is also important to connect the black ground wires to your target's ground so that the analyzer and the target have a common ground reference. It is recommended to place the ground connections as close to the channel connections as possible.

Changing the Signal order - move

When adding a large number of signal definitions, you may want to change some of their positions to organize or group related signals. To change the display order, grab the small handle in the left margin with your mouse and drag the definition to a new position.

Signal Name - signalname

The name of this signal definition. This value can be changed by editing the signal's properties. (see: Signal Editors)

Signal Colors and Type - invertbtn, invertanalog, invertstate, etc.

You can see the color of a signal and determine the type by this graphical indicator (displayed to the right of the name assigned to the signal). Each signal type will display a unique graphic with representative colors.

Delete Signal - delete

You can delete a signal definition by clicking on the 'X'.

Edit Signal Properties - editsignal

You can change the properties of a signal definition by clicking this button. (see: Signal Editors)

Enabled Status/Toggle - bulbon Bulboff

Indicates the enabled state of the signal. When the lightbulb is ON, the signal is enabled. Click this button to toggle the "enabled" status of the signal. This value can also be changed by editing the signal's properties. (see: Signal Editors)

Associated Channels - buscfg

All channels associated with this signal definition will be indicated in this display as a square blue "dot". Channel 0 is in the farthest right column and the highest channel number is in the farthest left column (as marked in the header.) Light lines appear every 4th channel and non associated channels appear as a short dash. Also, colored squares at the top show each channel's wire color. Notice that there are only 9 colors so the color sequence repeats using resistor color code order (the color Black is used for ground connections - channels 0, 9, 18 and 27 are brown).


Signal Editors

DigiView provides several Signal type definitions which allow unique methods of interpreting and displaying the raw data captured on the logic channels. Each Signal type has a unique editor with relevant options for its type. From the editor you will also assign some of the physical logic channels to be used for this new signal definition. (see: Connecting Data Lines)

You may choose to repeat the use of some channels in multiple Signal definitions in order to interpret the data differently and gain a perspective that is relative to your current point of interest. This can be done easily by creating a new Signal using the definition with the properties you require. Using the same channels in multiple definitions will not have any effect on the actual capture, but can greatly increase your ability to analyze the data and present visual representation to others.

NOTE: The same channel can be assigned to as many signal definitions as you need. For instance, if you want to capture the Read and Write cycles of an SPI bus using separate signal definitions (instead of the combined read/write of the SPI signal type), you can create 2 Synchronous Serial signals and assign the same channel as the Clock for each definition.

Signal Selection

The signal selection can be expanded by adding Plug-ins which can be downloaded with the software (as available) or created by using our free Plug-in Development Kit (downloadable from our website). The current 'built-in' Signal Types are listed below. Details of each type's properties are described in the following sections.

Asynchronous

Serial UART analysis, pre-selected and custom baud rates, channel inversion option, from 4 to 8 bit selectable, parity option, Framing options and Glitch filter.

Boolean

Single channel viewing.

Bus

Multi-channel viewing as a single value. Also suitable to display the capture of an Analog to Digital converter as an Analog Signal when the Plot Output option is selected (see: Plotting Signal Data)

CAN BUS

Full featured Controller Area Network protocol decoder.

I2C

Complete I2C protocol analysis. 7bit/10bit addressing, High Speed Mode Master Codes, General Call support, Glitch filter.

I2S

Inter-IC Sound bus protocol decoder with word length selection from 4 to 32 bits.

SPI

Master/Slave data from two Synchronous Serial data channels using the SPI protocol.

State

Filters multi-channel data by state of a single channel, selectable CLK/DATA inversion, selectable transition state of Rising/Falling/Both, Framing and timeout options, additional Select and Sync channel for filtering.

Synchronous

From 1 to 32 bit protocols, also suitable for SPI analysis, selectable CLK/DATA inversion, selectable Rising/Falling/Both clock edges, LSB/MSB selection, additional Select, Frame Sync and Field Sync channels for filtering and synchronizing.

Signal Editor Preview

All signal editors provide a preview that updates while making changes to the signal's options. The time position and zoom level of the preview can be changed to get a better view of the data if needed. This area of the editor is explained below. The symmetrical function buttons below all use Left and Right mouse button clicks to perform opposite functions.


Boolean

Boolean Signal Properties

The Boolean Signal is the most common method of viewing captured data. Boolean Signals provide viewing of the logic level of a single channel at any given point in time.

Signal Name

Change the text displayed here to help you identify this signal definition. If the name has already been used, it will automatically be appended with a numerical value in brackets (i.e. [2]). The name displayed here will be used in the Waveform Views, Searches, Tabular Views, Exports, Trigger Configurations and all menu references.

Disable Signal

Select (check) this item to completely disable the Signal Definition. It is recommended to disable any signals that use channels that are not connected to a physical device. When a capture takes place ("Run"), any channels that are assigned to disabled signals will be ignored instead of using valuable capture space.

Invert Signal

Check this item to have the value of the captured channels "inverted" before processing or displaying data for this signal definition. This setting will not effect any other signal definitions that may use the same channels.

Color Selection & Examples

An example of the signal is displayed in the current color scheme, followed by an example of the current color selections for this signal and a color reset button. Clicking on one of the color squares will open the Color Selection dialog to change the Signal line color and its background color if a color other than the theme color is desired.

Above the example are controls to modify the portion of the waveform window being displayed.

Reset Signal Colors

This button will reset the colors for this signal so that they will match the currently selected color theme (see: Color Themes).

Channel Options

This is where you will associate a signal definition with the physical channels or connections to the outside world. Only one channel can be selected for the Boolean signal type. To select the channel, click on the " - " below the proper color (and channel number) that corresponds to the physical connection of the DigiView Cable (see: Connecting the Data Lines). The channel selected for this signal will replace the " - " with a blue square (as shown above). If any other channel is already selected it will be de-selected. The gray arrow beneath each channel color is an activity indicator that displays the activity of the channel as compared to the activity of all the other channels (relational, not real time).

Decode Options

No decode options are available for the Boolean signal type.


Bus

Bus Signal Properties

The Bus Signal is the second most common method of viewing captured data. Bus Signals provide viewing of multiple channels as a single value at any given point in time with additional features to Plot the data. A common use of Bus plotting is to see the captured output of an Analog to Digital converter as a single waveform (see: Plotting Signal Data).

Signal Name

Change the text displayed here to help you identify this signal definition. If the name has already been used, it will automatically be appended with a numerical value in brackets (i.e. [2]). The name displayed here will be used in the Waveform Views, Searches, Tabular Views, Exports, Trigger Configurations and all menu references.

Disable Signal

Select (check) this item to completely disable the Signal Definition. It is recommended to disable any signals that use channels that are not connected to a physical device. When a capture takes place ("Run"), any channels that are assigned to disabled signals will be ignored instead of using valuable capture space.

Invert Signal

Check this item to have the value of the captured channels "inverted" before processing or displaying data for this signal definition. This setting will not effect any other signal definitions that may use the same channels.

Plot Output

Check this item to enable Plotting for this signal. If checked, all waveform views will display plotted data as defined by the Plot Series configurations. You must enable and configure at least one Plot Series before any plotted data is visible. Up to 4 individual plots can be configured for each signal. (see: Plotting Signal Data).

Color Selection & Examples

An example of the signal is displayed in the current color scheme, followed by an example of the current color selections for this signal and a color reset button. Clicking on one of the color squares will open the Color Selection dialog to change the Signal line color and its background color if a color other than the theme color is desired.

Above the example are controls to modify the portion of the waveform window being displayed.

Reset Signal Colors

This button will reset the colors for this signal so that they will match the currently selected color theme (see: Color Themes).

Channel Options

This is where you will associate a signal definition with the physical channels or connections to the outside world. To select a channel, click on the " - " below the proper color (and channel number) that corresponds to the physical connection of the DigiView Cable (see: Connecting the Data Lines). Channels that are selected for this signal will replace the " - " with a blue square as shown above. The gray arrow beneath each channel color is an activity indicator that displays the activity of the channel as compared to the activity of all the other channels (relational, not real time).

Decode Options

No additional decode options are available for the BUS signal type.

Plot Series 1

If "Plot Output" is selected, one plot can be defined. If enabled and Plot Series 1 is defined, all waveform views will display the data in a plotted format. (see: Plotting Signal Data).


CAN BUS

Use the CAN BUS Signal type to decode the Controller Area Network protocol. This full featured decoder will decode the entire CAN 2.0B specification.

Signal Name

Change the text displayed here to help you identify this signal definition. If the name has already been used, it will automatically be appended with a numerical value in brackets (i.e. [2]). The name displayed here will be used in the Waveform Views, Searches, Tabular Views, Exports, Trigger Configurations and all menu references.

Disable Signal

Check this item to completely disable the Signal Definition. It is recommended to disable any signals that use channels that are not connected to a physical device. When a capture takes place ("Run"), any channels that are assigned to disabled signals will be ignored instead of using valuable capture space.

Plot Output

Check this item to enable Plotting for this signal. If checked, all waveform views will display plotted data as defined by the Plot Series configurations. You must enable and configure at least one Plot Series before any plotted data is visible. Up to 4 individual plots can be configured for each signal. (see: Plotting Signal Data).

Color Selection & Examples

An example of the signal is displayed in the current color scheme, followed by an example of the current color selections for this signal and a color reset button. Clicking on one of the color squares will open the Color Selection dialog to change the Signal line color and its background color if a color other than the theme color is desired.

Reset Signal Colors

This button will reset the colors for this signal so that they will match the currently selected color theme (see: Color Themes).

Channel Options

This is where you will associate a signal definition with the physical channels or connections to the outside world. Each signal definition type will have one or more channel selection groups and will allow one or more channels to be selected for each group. Each channel selection group will be identified on its left if more than one group is available for the signal type.

To select a channel, click on the " - " below the proper color (and channel number) that corresponds to the physical connection of the DigiView Cable (see: Connecting the Data Lines). Channels that are selected for this signal will replace the " - " with a blue square as shown above. The gray arrow beneath each channel color is an activity indicator that displays the activity of the channel as compared to the activity of all the other channels (relational, not real time).

Data Channel Selection

Selects which physical channel to assign to DATA.

Invert Channels

If selected, the captured data for DATA will be inverted before decoding and displaying (only affects this Signal Definition).

Show Delimiters

When selected, Delimiter fields will be visible in the output.

Show CRC

When selected, CRC fields will be visible in the output.

Show Control Bits

When selected, Control bits fields will be visible in the output.

Bit Rate/Duration & Scale:

Specify a value for the Bit Rate or the Bit Duration, then select a scale for the value entered. Scale selections include Nano seconds (ns), Micro seconds (us), Milli seconds (ms), Baud, KiloBaud (KBaud) and MegaBaud (MBaud). Note that the value must be an integer (no floating point.) To specify something with a decimal point, select the next lowest range and enter a whole number. For example, 115.2 KBaud would be entered as 115200 Baud and 12.31us would be entered as 12310ns.

Sample Point (%bit)

Specifies where we should sample the data within each bit cell as a percentage of the bit width. This defaults to mid-bit (50%) and can be adjusted to account for bus propagation delays, transceiver delays, bandwidth limitations, etc. This roughly corresponds to the combined settings of the SYNC_SEG, PROP_SEG and PHASE_SEG_1 mentioned in the CAN specification. Alternatively, it could be viewed as the total bit width - PHASE_SEG_2.

Sync Jump Width (%bit)

Specifies the percentage of a bit width to allow for resynchronization adjustments. This corresponds to the SJW parameter in the CAN specification.

The CAN specification allows for a wide tolerance on node oscillators. This is accomplished by requiring that nodes resynchronize on passive->dominate edges. The receivers compare the actual timing of these edges with the ideal timing at the specified baud rate and then make adjustments to their internal timers to resynchronize with the incoming data. This parameter specifies the maximum adjustment we will make when resynchronizing.

Increasing this number increases our ability to properly decode packets involving nodes with low accuracy oscillators at the expense of increased noise sensitivity. Lower numbers improve noise rejection but reduces our ability to work with nodes with low accuracy oscillators. You usually set this lower if all nodes use crystal oscillators for their baud rate reference, and higher if any of them use ceramic resonators or other low accuracy sources for their baud rate references.

Be aware that the (SAMPLE-POINT + SJW) should be less than 100% and that (SAMPLE-POINT - SJW) should be greater than 0.

Filter Glitches <= (%bit)

Specifies filtering of pulses that are less than or equal to the specified percentage of the Bit width.

DigiView has a much higher bandwidth than most CAN receivers so it is capable of capturing glitches or noise pulses that normal receivers might not even see. Also, many CAN receivers have different levels of filtering available. This option lets you tell us how relatively good we should be at rejecting noise pulses. A setting of 0 tells us to process full bandwidth data with poor rejection. Increasing this setting makes us simulate higher immunity parts. Selection range is from 0% to 10%.

Plot Series 1 - 4

If "Plot Output" is selected, up to 4 plots can be defined. If enabled and at least one Plot Series is defined, all waveform views will display the data in a plotted format. (see: Plotting Signal Data).


Asynchronous

Asynchronous Signal Properties

Use the Asynchronous Signal type to see the capture from a single channel decoded and displayed as serial characters or frames of characters with a specific bit count and baud rate.

Signal Name

Change the text displayed here to help you identify this signal definition. If the name has already been used, it will automatically be appended with a numerical value in brackets (i.e. [2]). The name displayed here will be used in the Waveform Views, Searches, Tabular Views, Exports, Trigger Configurations and all menu references.

Disable Signal

Check this item to completely disable the Signal Definition. It is recommended to disable any signals that use channels that are not connected to a physical device. When a capture takes place ("Run"), any channels that are assigned to disabled signals will be ignored instead of using valuable capture space.

Plot Output

Check this item to enable Plotting for this signal. If checked, all waveform views will display plotted data as defined by the Plot Series configurations. You must enable and configure at least one Plot Series before any plotted data is visible. Up to 4 individual plots can be configured for each signal. (see: Plotting Signal Data).

Color Selection & Examples

An example of the signal is displayed in the current color scheme, followed by an example of the current color selections for this signal and a color reset button. Clicking on one of the color squares will open the Color Selection dialog to change the Signal line color and its background color if a color other than the theme color is desired.

Reset Signal Colors

This button will reset the colors for this signal so that they will match the currently selected color theme (see: Color Themes).

Channel Options

This is where you will associate a signal definition with the physical channels or connections to the outside world. Each signal definition type will have one or more channel selection groups and will allow one or more channels to be selected for each group. Each channel selection group will be identified on its left if more than one group is available for the signal type.

To select a channel, click on the " - " below the proper color (and channel number) that corresponds to the physical connection of the DigiView Cable (see: Connecting the Data Lines). Channels that are selected for this signal will replace the " - " with a blue square as shown above. The gray arrow beneath each channel color is an activity indicator that displays the activity of the channel as compared to the activity of all the other channels (relational, not real time).

Data Channel Selection

Selects which physical channel to use for this serial bus.

Invert Channels

If selected, the captured data for the selected channel will be inverted before decoding and displaying (only affects this Signal Definition).

Baud Rate:

Selects from a list of standard BAUD rates or 'use custom'.

Custom Baud (bits/sec):

The BAUD rate to use if BAUD RATE is set to 'use custom'.

Data Bits

Selects the number of data bits in a character.

Parity/9bit Address flag

Selects from odd,even,one,zero,non standard parity settings.

Also allows selection of 9bit addressing mode with and address

field flagged with a '1' or with a '0'.

Glitch Filter (% of bit)

Select noise filter setting of none-10% of a bit width.

Sync (skip transitions)

Specifies how many transitions to ignore at the start of the buffer.

Useful for syncing up when capture starts mid-character.

MSB First:

Specifies that bits are received in MSB first order (VERY rare).

Frame Length (Characters)

Number of characters in a frame. Set to 0 to disable.

Frame IDLE TIMEOUT (0 to ignore):

A new frame is started if no characters are seen for more than the specified time.

Set to 0 to disable. This can be useful if there are none of the other frame methods

apply, but you can see a consistent pause before each frame starts.

Frame on 9bit Address flag

Start a new frame when a 9bit address byte is detected (if parity set to 9bit mode).

Re-Frame on BREAK

Terminate and start a new frame when BREAK detected.

Show Field Idles

Specifies whether idle time between fields should be shown as a hashed field

or if the current field should just extend to the next field.

Show Frame Idles

Specifies whether idle time between frames should be shown as a single center line

or if the current frame should just extend to the start of the next frame.

Plot Series 1 - 4

If "Plot Output" is selected, up to 4 plots can be defined. If enabled and at least one Plot Series is defined, all waveform views will display the data in a plotted format. (see: Plotting Signal Data).

Display Fields

DATA

Field type used for most characters. Shows the received data

Address

Field type used for 9 bit address bytes. Shows the received data

BREAK

Field type used for break events. Prints the word BREAK

ParityError

Field type used to display parity errors. Shows ' P '

FrameError

Field type used to display character framing errors. Shows ' F '

NOTE: Multiple framing methods can be used at the same time. For example, you could use a frame length specifier and the frames will be broken into the specified lengths. If a timeout is specified, it will override and terminate a frame if the specified time is exceeded.


I2C

I2C Signal Properties

Use the I2C Signal type to decode two channels using the full I2C serial protocol.

Signal Name

Change the text displayed here to help you identify this signal definition. If the name has already been used, it will automatically be appended with a numerical value in brackets (i.e. [2]). The name displayed here will be used in the Waveform Views, Searches, Tabular Views, Exports, Trigger Configurations and all menu references.

Disable Signal

Check this item to completely disable the Signal Definition. It is recommended to disable any signals that use channels that are not connected to a physical device. When a capture takes place ("Run"), any channels that are assigned to disabled signals will be ignored instead of using valuable capture space.

Plot Output

Check this item to enable Plotting for this signal. If checked, all waveform views will display plotted data as defined by the Plot Series configurations. You must enable and configure at least one Plot Series before any plotted data is visible. Up to 4 individual plots can be configured for each signal. (see: Plotting Signal Data).

Color Selection & Examples

An example of the signal is displayed in the current color scheme, followed by an example of the current color selections for this signal and a color reset button. Clicking on one of the color squares will open the Color Selection dialog to change the Signal line color and its background color if a color other than the theme color is desired.

Reset Signal Colors

This button will reset the colors for this signal so that they will match the currently selected color theme (see: Color Themes).

Channel Options

This is where you will associate a signal definition with the physical channels or connections to the outside world. Each signal definition type will have one or more channel selection groups and will allow one or more channels to be selected for each group. Each channel selection group will be identified on its left if more than one group is available for the signal type.

To select a channel, click on the " - " below the proper color (and channel number) that corresponds to the physical connection of the DigiView Cable (see: Connecting the Data Lines). Channels that are selected for this signal will replace the " - " with a blue square as shown above. The gray arrow beneath each channel color is an activity indicator that displays the activity of the channel as compared to the activity of all the other channels (relational, not real time).

Clock (SCL) Channel Selection

Selects which physical channel to assign to the CLOCK.

Invert Channels

If selected, the captured data for SCL will be inverted before decoding and displaying (only affects this Signal Definition).

Data (SDA) Channel Selection

Selects which physical channel to assign to the DATA bus.

Invert Channels

If selected, the captured data for SDA will be inverted before decoding and displaying (only affects this Signal Definition).

Glitch Filter

Selects the amount of noise filtering. Should be set to 50ns for low speed buses and reduces for FAST buses.

Skip Bits (to sync partial frame)

Specifies how many bits to ignore at the start of the buffer. Useful for syncing up when capture starts mid-frame.

Decode Addr 000-0001-d as

Selects between the standard I2C decoding for this address range or decoding it as normal 7 bit devices.

Decode Addr 000-001X-d as

Selects between the standard I2C decoding for this address range or decoding it as normal 7 bit devices.

Decode Addr 111-11XX-d as

Selects between the standard I2C decoding for this address range or decoding it as normal 7 bit devices.

Decode HS Master Codes as

Selects between the standard I2C decoding for this address range or decoding it as normal 7 bit devices.

Decode 10bit Codes as

Selects between the standard I2C decoding for this address range or decoding it as normal 7 bit devices.

Truncated fields

Specified whether to show truncated/partial fields or not. 1 bit truncated fields common and unavoidable so the options include showing only if > 1 bit.

Show ACKs

Selects whether to show ACKs in the waveforms, tables and searches NAKs are always shown.

Show Addresses as

The I2C spec defines 7 bit addresses and a 1 bit direction (R/W) in teh first field. Sometimes it is convenient to think of this as a single 8 bit value. This option specifies whether to show as 2 fields (per spec.) or as a single 8 bit field.

Show IDLEs

Specifies whether idle time between fields should be shown as a hashed field or if the current field should just extend to the next field.

Plot Series 1 - 4

If "Plot Output" is selected, up to 4 plots can be defined. If enabled and at least one Plot Series is defined, all waveform views will display the data in a plotted format. (see: Plotting Signal Data).

Display Fields

Start

Field type used to show start and repeated start event.

Shows ' S ' for start or ' Sr ' for repeated start.

Stop

Field type used for stop events. Shows ' P '.

Addr

Field type used for normal 7bit address fields

Addr8

Field type used to show first byte as 8 bit address+direction

Data

Field type used for most characters. Shows the received byte

Ack

Field type used to show Acknoledge bit. Shows ' A '

Nak

Field type used to show Nak bits. Shows ' N '.

WRITE

Field type used to show WRITE bits. Shows ' W '.

READ

Field type used to show READ bits. Shows ' R '.

General-Call

Field type used to show first byte code is General-Call.

Shows ' Gen-Call '

Start-Byte

Field type used whenthe first byte code is START BYTE.

Shows ' START '.

HS Master

Field type used when first byte code is High Speed Master.

Shows ' HS Master: ' followd by the 3 bit master ID

CBUS

Field type used when the first byte code is CBUS.

Prints the word CBUS.

Reserved

Field type used when the first byte is a reserved address.

Prints the word 'RESERVED: ' followed by the actual data

10bitMode

Field type used when the first byte code is 10 bit Mode.

Prints ' 10bitMode: ' followed by the high 2 bits of the 10bit address.

Truncated

Field type used when a byte is truncated (bt a stop or repeated start)

Prints ' T: ' followed by the received data.


I2S

Use the I2S Signal type to decode three channels using the Inter-IC Sound bus protocol. The example below has been configured for Plotting (see: Plotting Signal Data).

Signal Name

Change the text displayed here to help you identify this signal definition. If the name has already been used, it will automatically be appended with a numerical value in brackets (i.e. [2]). The name displayed here will be used in the Waveform Views, Searches, Tabular Views, Exports, Trigger Configurations and all menu references.

Disable Signal

Check this item to completely disable the Signal Definition. It is recommended to disable any signals that use channels that are not connected to a physical device. When a capture takes place ("Run"), any channels that are assigned to disabled signals will be ignored instead of using valuable capture space.

Plot Output

Check this item to enable Plotting for this signal. If checked, all waveform views will display plotted data as defined by the Plot Series configurations. You must enable and configure at least one Plot Series before any plotted data is visible. Up to 4 individual plots can be configured for each signal. (see: Plotting Signal Data).

Color Selection & Examples

An example of the signal is displayed in the current color scheme, followed by an example of the current color selections for this signal and a color reset button. Clicking on one of the color squares will open the Color Selection dialog to change the Signal line color and its background color if a color other than the theme color is desired.

Reset Signal Colors

This button will reset the colors for this signal so that they will match the currently selected color theme (see: Color Themes).

Channel Options

This is where you will associate a signal definition with the physical channels or connections to the outside world. Each signal definition type will have one or more channel selection groups and will allow one or more channels to be selected for each group. Each channel selection group will be identified on its left if more than one group is available for the signal type.

To select a channel, click on the " - " below the proper color (and channel number) that corresponds to the physical connection of the DigiView Cable (see: Connecting the Data Lines). Channels that are selected for this signal will replace the " - " with a blue square as shown above. The gray arrow beneath each channel color is an activity indicator that displays the activity of the channel as compared to the activity of all the other channels (relational, not real time).

Clock Channel Selection

Selects which physical channel to assign to the CLOCK.

Invert Channels

If selected, the captured data for CLOCK will be inverted before decoding and displaying (only affects this Signal Definition).

Data Channel Selection

Selects which physical channel to assign to DATA.

Invert Channels

If selected, the captured data for DATA will be inverted before decoding and displaying (only affects this Signal Definition).

WS Channel Selection

Selects the physical channel to use as the Word Select (WS). The word select determines whether the data is for the Left or Right audio channel.

Invert Channels

If selected, the captured data for WS will be inverted before decoding and displaying (only affects this Signal Definition).

Convert Data to Unsigned

When selected, the data word will be converted from a signed value to an unsigned value before displaying or plotting.

Word Length

Specifies how many bits to use for the data word. Selection range is from 4 to 32 bits.

Plot Series 1 - 4

If "Plot Output" is selected, up to 4 plots can be defined. If enabled and at least one Plot Series is defined, all waveform views will display the data in a plotted format. (see: Plotting Signal Data).


State

State Signal Properties

Use the State Signal type to see the data from one or more channels only when the state of another channel changes. This other channel will be used as a "state clock" and optionally the Clock can be qualified by the logic state of an additional channel (Enable). This signal type can be used to mask invalid data during bus transitional periods or the "noise" that occurs during unqualified periods, making it easier to analyze true data.

Signal Name

Change the text displayed here to help you identify this signal definition. If the name has already been used, it will automatically be appended with a numerical value in brackets (i.e. [2]). The name displayed here will be used in the Waveform Views, Searches, Tabular Views, Exports, Trigger Configurations and all menu references.

Disable Signal

Check this item to completely disable the Signal Definition. It is recommended to disable any signals that use channels that are not connected to a physical device. When a capture takes place ("Run"), any channels that are assigned to disabled signals will be ignored instead of using valuable capture space.

Plot Output

Check this item to enable Plotting for this signal. If checked, all waveform views will display plotted data as defined by the Plot Series configurations. You must enable and configure at least one Plot Series before any plotted data is visible. Up to 4 individual plots can be configured for each signal. (see: Plotting Signal Data).

Color Selection & Examples

An example of the signal is displayed in the current color scheme, followed by an example of the current color selections for this signal and a color reset button. Clicking on one of the color squares will open the Color Selection dialog to change the Signal line color and its background color if a color other than the theme color is desired.

Reset Signal Colors

This button will reset the colors for this signal so that they will match the currently selected color theme (see: Color Themes).

Channel Options

This is where you will associate a signal definition with the physical channels or connections to the outside world. Each signal definition type will have one or more channel selection groups and will allow one or more channels to be selected for each group. Each channel selection group will be identified on its left if more than one group is available for the signal type.

To select a channel, click on the " - " below the proper color (and channel number) that corresponds to the physical connection of the DigiView Cable (see: Connecting the Data Lines). Channels that are selected for this signal will replace the " - " with a blue square as shown above. The gray arrow beneath each channel color is an activity indicator that displays the activity of the channel as compared to the activity of all the other channels (relational, not real time).

Clock Channel Selection

Selects which physical channel to assign to the CLOCK.

Rising, Falling, Both

Select which edge of the Clock to use to strobe in the data.

Data Channel Selection

Selects the physical channels to assign to the DATA bus.

Select All, Select One

Shortcut buttons to select all the channels or to select just one.

Enable Channel Selection

Selects which physical channel to assign to the ENABLE. The enable can be disabled if not used.

Disable / Ignore

If selected, the ENABLE channel will be ignored when decoding this signal.

Frame SYNC Channel Selection

Selects which physical channel to assign to the FRAME SYNC. This can be used to identify frame limits. The FRAME SYNC can be disabled if not used.

Disable / Ignore

If selected, the FRAME SYNC channel will be ignored when decoding this signal.

Enable Level

Selects the active level for the Enable signal.

Skip States

Specifies how many states to ignore before starting a frame. Useful for syncing up data that has no framing signals.

States per Frame

Specifies how many states are in a frame (if fixed). Set to 0 to ignore if other framing methods are being used.

Frame SYNC starts New Frame on:

Specifies how the Frame Sync signal is used (if enabled). Rising,Falling and Either edges specify what starts a new frame (and terminates the previous frame). The last two options specify that one edge starts a frame and the other edge terminates the frame. Any startframe will automatically end the previous frame. Specifying the endframe just ends it earlier for aesthetics.

Frame IDLE Timeout (0 to ignore):

A new frame is started if no new states are seen for more than the specified time. Set to 0 to disable. This can be useful if there are no sync lines or field counts but you can see a consistent pause before each frame starts.

Show Field Idles

Specifies whether idle time between fields should be shown as a hashed field or if the current field should just extend to the next field.

Show Frame Idles

Specifies whether idle time between frames should be shown as a single center line or if the current frame should just extend to the start of the next frame.

Plot Series 1 - 4

If "Plot Output" is selected, up to 4 plots can be defined. If enabled and at least one Plot Series is defined, all waveform views will display the data in a plotted format. (see: Plotting Signal Data).

NOTE: Multiple framing methods can be used at the same time. For example, you could use a frame length specifier and the frames will be broken into the specified lengths. If a timeout is specified, it will override and terminate a frame if the specified time is exceeded.


Synchronous

Synchronous Signal Properties

Use the Synchronous Signal type to see the data from a single channel decoded as a field of data or framed fields of data by using another channel as the bit clock. Optionally you can use the "Select" channel to qualify the clock.

Signal Name

Change the text displayed here to help you identify this signal definition. If the name has already been used, it will automatically be appended with a numerical value in brackets (i.e. [2]). The name displayed here will be used in the Waveform Views, Searches, Tabular Views, Exports, Trigger Configurations and all menu references.

Disable Signal

Check this item to completely disable the Signal Definition. It is recommended to disable any signals that use channels that are not connected to a physical device. When a capture takes place ("Run"), any channels that are assigned to disabled signals will be ignored instead of using valuable capture space.

Plot Output

Check this item to enable Plotting for this signal. If checked, all waveform views will display plotted data as defined by the Plot Series configurations. You must enable and configure at least one Plot Series before any plotted data is visible. Up to 4 individual plots can be configured for each signal. (see: Plotting Signal Data).

Color Selection & Examples

An example of the signal is displayed in the current color scheme, followed by an example of the current color selections for this signal and a color reset button. Clicking on one of the color squares will open the Color Selection dialog to change the Signal line color and its background color if a color other than the theme color is desired.

Reset Signal Colors

This button will reset the colors for this signal so that they will match the currently selected color theme (see: Color Themes).

Channel Options

This is where you will associate a signal definition with the physical channels or connections to the outside world. Each signal definition type will have one or more channel selection groups and will allow one or more channels to be selected for each group. Each channel selection group will be identified on its left if more than one group is available for the signal type.

To select a channel, click on the " - " below the proper color (and channel number) that corresponds to the physical connection of the DigiView Cable (see: Connecting the Data Lines). Channels that are selected for this signal will replace the " - " with a blue square as shown above. The gray arrow beneath each channel color is an activity indicator that displays the activity of the channel as compared to the activity of all the other channels (relational, not real time).

Clock Channel Selection

Selects which physical channel to assign to the CLOCK.

Rising, Falling, Both

Select which edge of the Clock to use to strobe in the data.

Data Channel Selection

Selects which physical channel to assign to the DATA bus.

Invert Channels

If selected, the captured data for the selected channel will be inverted before decoding and displaying (only affects this Signal Definition).

Select Channel Selection

Selects which physical channel to assign to the ENABLE. The enable can be disabled if not used.

Disable / Ignore

If selected, the ENABLE channel will be ignored when decoding this signal.

Frame SYNC Channel Selection

Selects which physical channel to assign to the FRAME SYNC. This can be used to identify frame limits. The FRAME SYNC can be disabled if not used.

Disable / Ignore

If selected, the FRAME SYNC channel will be ignored when decoding this signal.

Field SYNC Channel Selection

Selects which physical channel to assign to the FIELD SYNC. This can be used to identify field limits. The FIELD SYNC can be disabled if not used.

Disable / Ignore

If selected, the FIELD SYNC channel will be ignored when decoding this signal.

Select Level

Selects the active level for the Select signal.

LSB first

Selects LSB (Least significant bit) first.

Frame Length (fields)

Specifies how many fields are in a frame.

Set to 0 to disable this method of framing.

Field Length(s)

Specifies a list of comma separated field lengths (in bits).

The first number is the length of the first field, the second number is the 2nd field and so forth. Set to 0 to disable this method of framing.

Frame SYNC starts New Frame on:

Specifies how the Frame Sync signal is used (if enabled). Rising,Falling and Either edges specify what starts a new frame (and terminates the previous frame).The last two options specify that one edge starts a frame and the other edge terminates the frame. Any startframe will automatically end the previous frame. Specifying the endframe just ends it earlier for aesthetics.

Field SYNC starts New Field on:

Specifies how the Field Sync signal is used (if enabled). Rising,Falling and Either edges specify what starts a new frame (and terminates the previous frame) The last two options specify that one edge starts a field and the other edge terminates it. Any startfield or start frame will automatically end the previous field. Specifying the endfield just ends it earlier for aesthetics.

Frame IDLE TIMEOUT (0 to ignore):

A new frame is started if no new bits are seen for more than the specified time. Set to 0 to disable. This can be useful if there are no sync lines or field counts but you can see a consistent pause before each frame starts.

Field IDLE TIMEOUT (0 to ignore):

A new frame is started if no new bits are seen for more than the specified time. Set to 0 to disable. This can be useful if there are no sync lines or field counts but you can see a consistent pause before each frame starts.

Skip Bits

Specifies how many bits to ignore at the start of the buffer. Useful for syncing up when capture starts mid-field

Show Field IDLEs

Specifies whether idle time between fields should be shown as a hashed field or if the current field should just extend to the next field.

Show Frame IDLEs

Specifies whether idle time between frames should be shown as a single center line or if the current frame should just extend to the start of the next frame.

Plot Series 1 - 4

If "Plot Output" is selected, up to 4 plots can be defined. If enabled and at least one Plot Series is defined, all waveform views will display the data in a plotted format. (see: Plotting Signal Data).

NOTE: Multiple framing methods can be used at the same time. For example, you could use a frame length specifier and the frames will be broken into the specified lengths. If a timeout is specified, it will override and terminate a frame if the specified time is exceeded.


SPI Signal Properties

Use the SPI Signal type to see the Master/Slave data from two Synchronous Serial data channels using the SPI protocol.

Signal Name

Change the text displayed here to help you identify this signal definition. If the name has already been used, it will automatically be appended with a numerical value in brackets (i.e. [2]). The name displayed here will be used in the Waveform Views, Searches, Tabular Views, Exports, Trigger Configurations and all menu references.

Disable Signal

Check this item to completely disable the Signal Definition. It is recommended to disable any signals that use channels that are not connected to a physical device. When a capture takes place ("Run"), any channels that are assigned to disabled signals will be ignored instead of using valuable capture space.

Plot Output

Check this item to enable Plotting for this signal. If checked, all waveform views will display plotted data as defined by the Plot Series configurations. You must enable and configure at least one Plot Series before any plotted data is visible. Up to 4 individual plots can be configured for each signal. (see: Plotting Signal Data).

Color Selection & Examples

An example of the signal is displayed in the current color scheme, followed by an example of the current color selections for this signal and a color reset button. Clicking on one of the color squares will open the Color Selection dialog to change the Signal line color and its background color if a color other than the theme color is desired.

Reset Signal Colors

This button will reset the colors for this signal so that they will match the currently selected color theme (see: Color Themes).

Channel Options

This is where you will associate a signal definition with the physical channels or connections to the outside world. Each signal definition type will have one or more channel selection groups and will allow one or more channels to be selected for each group. Each channel selection group will be identified on its left if more than one group is available for the signal type.

To select a channel, click on the " - " below the proper color (and channel number) that corresponds to the physical connection of the DigiView Cable (see: Connecting the Data Lines). Channels that are selected for this signal will replace the " - " with a blue square as shown above. The gray arrow beneath each channel color is an activity indicator that displays the activity of the channel as compared to the activity of all the other channels (relational, not real time).

Clock Channel Selection

Selects which physical channel to assign to the CLOCK.

MOSI Channel Selection

Selects which physical channel to assign to the MOSI data.

Invert Channels

If selected, the captured data for MOSI will be inverted before decoding and displaying (only affects this Signal Definition).

MISO Channel Selection

Selects which physical channel to assign to the MISO data.

Invert Channels

If selected, the captured data for MISO will be inverted before decoding and displaying (only affects this Signal Definition).

SS Channel Selection

Selects which physical channel to assign to SS (slave select).

Disable / Ignore

If selected, the SS channel will be ignored when decoding this signal.

Invert Channels

If selected, the captured data for the SS channel will be inverted before decoding and displaying (only affects this Signal Definition).

Clock MOSI On

Specifies which clock edge to use to strobe in MOSI data.

Clock MISO On

Specifies which clock edge to use to strobe in MISO data.

SS active level

Specifies the active level for the SS (slave select) signal.

Field Idle Timeout (0 to disable)

A new field is started if no new bits are seen for more than the specified time. Set to 0 to disable.

Skip Bits (to sync)

Specifies how many bits to ignore at the start of the buffer. Useful for syncing up when capture starts mid-field

Field Length (bits)

Specifies the data field length from 4 to 24 bits.

Show Field Idles

Specifies whether idle time between fields should be shown as a hashed field or if the current field should just extend to the next field.

Show Partial(P) Fields

Specifies whether to show partial fields or not. Partial fields were terminated (by timeout or SS) before they gathered the full bit count.

Show Frame Idles

Specifies whether idle time between frames should be shown as a single center line or if the current frame should just extend to the start of the next frame.

Frame Length (#fields)

Specifies the number of fields to include in a frame (if fixed length).

Set to 0 to disable.

Frame Idle Timeout (0 to disable)

A new frame is started if no new bits are seen for more than the specified time. Set to 0 to disable. This can be useful if there are no sync lines or field counts but you can see a consistent pause before each frame starts.

Frame on SS

Specifies that we should terminate a frame on SS disable edges and start a new frame on SS active edges.

Plot Series 1 - 4

If "Plot Output" is selected, up to 4 plots can be defined. If enabled and at least one Plot Series is defined, all waveform views will display the data in a plotted format. (see: Plotting Signal Data).

Display Fields

MOSI-MISO

Field type used to show normal data.

Shows the both data channels, separated by a colon: ' MOSI : MISO '

(P)MOSI-MISO

Field type used to show partial (interrupted) data fields.

Shows '(P)' followed by both data channels, separated by a colon: ' (P)MOSI : MISO '.

NOTE: Multiple framing methods can be used at the same time. For example, you could use a frame length specifier and the frames will be broken into the specified lengths. If a timeout is specified, it will override and terminate a frame if the specified time is exceeded.


Plotting Signal Data

Signal Definitions can be configured to plot the data when displayed in any Waveform View. Enabling Plot Output will not affect the data displayed in Tabular views or searched by Pattern Search and Sequential Search definitions.

Plotting can be configured for a specific field and field slice if the signal has field names. If only a particular sequence of the data to plot is required, this can be specified by using the single characters of P or S for Plot and Skip sequences, numbers for repeat counts and brackets for grouping any of the previous. Grouping and repeat counts can be nested up to 8 levels deep, giving you the ability to plot a wide range of custom data sequences.

Since the waveform representation of Boolean signals is already a plot of the 2 available states (1 or 0), no additional plotting options are available. All data of a Bus signal will be plotted within the Data Range selected and since they do not have any framing or field data, only one plot is available.

All other signal definitions (including those based on custom plug-ins) can each be configured for 4 unique plots.

Plot configuration example using the i2s signal

plot example i2s

Title

Enter any Alphanumeric identifier. This identifier will display in the Marker column to identify which plot is active for the on screen controls and Instant Measurements. Quick Measurements and Measurement windows use a shorthand identifier of S1, S2, S3 or S4 to refer to the Active Plot (meaning Series 1-4).

Color Sample

Click on the solid color sample to customize the plot color using the Color Selector.

Enable

Toggles the plot series on/off.

Interpolate

Click to enable or disable interpolation of the plot output.

Show Base Line

Click to enable or disable drawing a dashed line representing the base line of the data.

Data Range (bits)

Select the number of bits to use out of the total bit range of the plotted data. The selection is from 1 to 32 bits. Selecting a smaller value than the total available will truncate the value and discard the upper bits. This may be desirable if the upper bits are unused and has the effect of a coarse gain.

Data Format

This tells DigiView how to interpret the data and could be called "treat data as...". Selections are:

▪ Unsigned
▪ 2's Compliment
▪ Sign & Magnitude
▪ Zero Offset

Zero Offset

This value is ignored unless Zero Offset is chosen for the Data Format. Enter a decimal value within the data range that represents the zero point of the data. Use the button "Range / 2" to set this value to the middle of the range.

Display Gain

Adjust the gain of the plot value for display purposes. This can also be adjusted in waveform views by dragging the plot handle left and right. Use the "Reset to 1" button to reset the gain to a 1:1 ratio (no gain).

Vertical Position

Adjust the vertical location of the plot in the waveform area. This can also be adjusted in the waveform area by dragging the Plot Handle up and down.

Data Selections

If a selection list is visible, the signal has more than one type of data field. Use the pull down to select which data field to plot.

Select Data Slice

If Select Data Slice is visible, the selected field represents multiple data slices (indicated by %1, %2 etc). Select which slice of this field to plot by selecting one from the pull down.

Plot Sequence Editor

Leave this edit box blank to plot all occurrences of the selected field (or field slice). To define a pattern of field occurrences or skip specific fields in a sequence, enter the plotting sequence in this editing area.

The sequence specifiers are compiled for fast processing of the plot data. As you edit the sequence, the plot compiler displays "helper hints" beneath the edit box showing any errors or the next expected character(s).

P Plot Field

S Skip Field

( Open a group - must use a ')' to close

[ Open a group - must use a ']' to close

{ Open a group - must use a '}' to close

Number 1-999 - Use a number to repeat the last item x number of times. If placed after closing a group, the entire group is repeated

* Asterisk - repeat preceding item or group forever or only until the next frame if "Restart on New Frame" is selected.

. Period - End the sequence. If end not specified the default behavior is to repeat the entire sequence.

) Close a group - must use a '(' to open

] Close a group - must use a '[' to open

} Close a group - must use a '[' to open

Using '(', '{' or '[' to group sequences is a personal preference as all are equivalent. However, the proper closing must be used as documented above. In the graphic above the helper hint indicates that a group has not been closed and the compiler is expecting a ')' to close it. The hint also indicates that it is completely valid to open another group using any of the group specifiers, continue adding sequence characters or enter a repeat count.

Editor Examples

PS - plot all odd occurrences (1, 3, 5, 7, etc).

SP - plot all even occurrences (2, 4, 6, 8, etc).

SSP - skip two fields then plot the next one and repeats (plots every third field).

SSP. - skip two fields then plot the third one and stop.

SSP* - skip two fields then plot the third one and every field after.

S24P. - skip 24 fields then plot then next one and stop (only plots the 25th field).

[PS]3[SSP]* - plot the first 3 even fields (repeats Plot, Skip three times) then plot every third field thereafter (repeats skipping two fields and plotting the third one).

Restart Plot Sequence on NEW FRAME

When not selected, framing information is ignored and the sequence will be processed until the end of data or the sequence ends. If selected and framing is configured for the signal definition, the specified sequence will restart at the beginning of a frame even if the sequence had not completed in the last frame. If no framing information is present, processing is the same as if the option is not selected.


Triggers

To capture data before, after or during a specific state of a signal or a change in its state, you need to be able to specify this condition so the analyzer will start or stop its capture when its detected. This is called configuring a "Trigger". If you just want to instantly capture data, then set the trigger option to "Always" (see Trigger Modes below).

DigiView analyzers have a wide array of real-time hardware Trigger options. From a simple change on one signal, to a specific pattern across multiple signals, a combination of both or a sequence of matching conditions with event counters, these are all easy to configure from our Software.

Combining the hardware Trigger with the Analyzer buffer's prefill options, you can capture until this condition is detected, stop capturing when this condition is detected or divide the capture buffer data to any percentage of before/after the condition (see ).

The trigger point is marked by the T marker and is always TIME 0. All data prior to the trigger is negative time and all data after the trigger is positive time. If you stop the analyzer before a trigger condition is detected, the Trigger is set to the the last captured sample.

Trigger Mode Selection

DigiView has 4 trigger modes. You can switch between modes quickly from any waveform view or from the Project Configuration Options window.

project settings button

To access the Project Configuration Options window, click the Project Settings button on the tool bar (highlighted above) or select Menu-> Configure->Triggers.

To change modes, Click on the button to the right of the current mode indicator. The button's symbol also indicates the current mode and will change after you select a different mode. In the image above and below, the current mode is "Always" and the button has a T with continuous arrows circling it.

Select the desired mode from the selection window.

trgalwaysbtn Always

Configures the hardware to consider any change on any signal as being a matching condition so it will trigger on the first sign of activity.

trgneverbtn Never

Configures the hardware to never trigger so it will continue to gather the newest data until manually stopped.

trgsimplebtn Simple

Simple triggers make it easy to configure trigger conditions directly from any signal in any waveform view. Patterns and Edge detections (changes) can be configured for all or any of the signals you have in the project. See the Simple Trigger section for complete details.

trgadvbtn Advanced

Advanced triggers have many options to target those harder to find conditions. See the Advanced Triggers section for complete details.


Simple Trigger

Simple triggers make it easy to configure trigger conditions directly from any signal in any waveform view. Pattern matching and Edge detections (changes) can be configured for all or any of the signals you have in the project.

Simple Trigger Symbols

When you have changed the trigger mode to Simple (see Triggers), the trigger column in all waveform views will display a trigger condition symbol to the right of each signal's name. The symbol will reflect the condition set for that signal. Each symbol and its explanation is listed below.

smptrg-star | Multiple States, mixed mode indicator | smptrg-rise | Rising Edge
smptrg-x | Don't care, Ignore | smptrg-fall | Falling Edge
smptrg-1 | Pattern of Logic 1 | smptrg-either | Either edge (any change)
smptrg-0 | Pattern of Logic 0 |  |

Editing Simple Triggers

Click on the symbol next to the signal's name to make changes. Editing the condition is slightly different for Boolean, Bus and Decoded signals. With Boolean signals you can choose one of 6 conditions (X,1,0,rise,fall,either). With Bus signals, you can choose one of these 6 conditions for each channel of the bus or select one condition for all of its channels. Decoded signals use a combination that reflects each of the channel groups it consists of (clock, data bus etc.). An Example of each is displayed below.

Boolean signal example:

The selected condition is highlighted in the selection group to the right and also displayed next to the signal's name.

Move the mouse over any condition symbol in the selection group on the right then Click to make it the selected condition.

BUS signal example:

The currently selected condition of each channel is displayed beneath the channel number.

To change the condition, move the mouse over a channel and the vertical selection group will move over that channel and highlight its current selection. In the image above channel 1's current condition is '0'. Clicking on any other condition symbol in the vertical selection group will change channel 1 to the new condition. Move the mouse left or right until you are over the channel you want to change, then select the new condition.

To change ALL the channels to the same condition move the mouse over the "ALL" text. When the mouse is over the "all" text, the selection group will move to the right of it. Any condition selected will now apply to and update all the channels for that group.

Typical Decoded signal examples:

Each channel group of a Decoded Signal is edited in the same way as a Boolean or Bus signal. Move the mouse over each group to change the condition just like the Boolean and Bus examples above.

Editing the "Clock Channel" trigger condition

Editing "Data Channels" and preparing to set a new trigger condition for all its channels

Editing the "Data" channel trigger condition

The decoded signal above consists of 3 Boolean channels. Move the mouse over each channel to select a new condition.


Advanced Trigger

In our DigiView Software, Advanced Triggers are specified in terms of SIGNALS. After assigning channels to signal names, you can configure the advanced trigger condition based on the defined signals (see: Signals). Most engineers will find it easier to reference the condition as it relates to the circuit's function rather than remembering which channels of the analyzer were used to connect to specific signals in the circuit.

DigiView's advanced trigger configuration screen centers the user's focus on function; making it much easier to quickly analyze and modify a very complex trigger condition. The following graphic is an example of an advanced trigger condition for the DV3500.

(also see: Trigger Match Types, Sequencer )

project settings button

To access Trigger configuration options, click the Project Settings button on the tool bar, then select the Hardware Triggers tab.

Example of an Advanced Trigger Configuration for Model DV3500:

The Advanced Trigger configuration screen implements a dual-mode (GUI and text), schematic-like approach to configuring the matches, sequencers and trigger output from a single window. A text window shows the 'formula' for the configuration while the 'schematic' shows the flow. These two sections update together to provide two distinct views of the configuration. Multiple trigger configurations can also be selected and created using the selection area in the upper left corner of this screen.

Trigger Configuration Selection

Multiple trigger configurations can be created and stored in the DigiView Data File. Use the selection box to quickly chose another trigger

configuration. After making a selection, click the "apply" button on the bottom of the screen to send the new configuration to the analyzer. To create, clone, delete or rename a configuration use the buttons above the selection box.

Trigger Formula (left portion of screen)

The formula presents a summary of the complete configuration. Since this summary can be quite involved with a complex trigger condition, each section will "highlight" as items in the graphical section are selected or the mouse moves over them. The formula will automatically scroll to bring the highlighted section into view while working in the graphical area of the configuration. In the image above, the summary of "MATCH 5" is brought into view as Match 5 is selected (shown with a red outline above).

Schematic (right portion of screen)

This area is where the actual configuration is accomplished. For clarification, the graphical area is divided by two major paths: Direct (non-sequenced) pathways and Sequenced pathways. Select viewing of each path by using the appropriate Tab at the top of this area. Note: The Match configuration and Term connections are common to both pathways and will always display.

Every trigger configuration starts with a match condition and ends with Trigger Out, so the work flow is designed from left to right, starting with the Match Types (see: Trigger Match Types).

Connections

Auto Connect

When the very first Match type is selected and the match condition has been specified, the match will automatically route graphically to the Trigger Out. For the DV3 series, this means it will route to TERMS 1, then the DIRECT (NON-Sequenced) option and then to Trigger Out.

This automatic function is only performed if no other connections already exist. Once you have started making connections for your trigger configuration, the software will not try to "guess" your intentions, since this would hinder your work. The software allows you to manually connect or disconnect if the action is valid. Only the obvious connect and disconnects will be performed automatically.

Manual Connections

Connection points will display a red square as the mouse moves over them. To Start a connection click on one of these points then move the mouse over another valid connection point and click to finish the connection. To Delete a connection, repeat the process or use the Delete Key or Double-Click when the connection highlights in the editing color (red). To Cancel a connection before the second point has been selected, click in the open area between valid connection points or use the Escape Key or the Delete Key.

NOTE: The graphical connections in the trigger configuration directly correspond to the physical circuit connections in the hardware, making this screen an overview of the resulting logic in the analyzer's hardware.

See the Following Sections:

▪ Trigger Match Types
▪ Sequencer


Trigger Match Types

DigiView's Advanced Trigger configuration supports multiple types of Match conditions. The DV3 and DV5 series of DigiView analyzers each have a total of 8 configurable match circuits and each match circuit can be set to one of 9 different match types. Details of each match type can be found using the links below.

Setting the Match Type

A non-configured or "deleted" match will be identified by a "?" as seen above. To set the match type, simply click on the match (or Right-Click) and select the type from the menu that appears. If the match was configured previously (not cleared) then Right-Click to access this menu.

Editing the Match Condition

When selecting or changing the match type, the editor for the match condition will automatically appear. To edit the condition later, simply Double-Click on the match or Right-Click on the match and choose "Edit" from the menu that appears.

Available Match Types:

▪ Pattern
▪ Edges
▪ Stable
▪ Equal
▪ Not Equal
▪ Greater Than
▪ Greater Than or Equal
▪ Less Than
▪ Less Than or Equal

(See: Advanced Trigger)


Pattern Match

The level trigger is a pattern match detector. You can configure it to match any combination of 0,1 or "don't cares" across all channels. The Pattern Match Editor is displayed below

ADD a Signal - Highlight a defined signal from the left portion of the window and click the "+" button to add it to the Pattern Match. You can also just "Double-Click" the defined signal to automatically add it. NOTE: High Level signal definitions (such as State, I2C, or etc) cannot be added directly as a complete signal. However, the individual portions of the signal (such as Enable above) can be added in the same manner. To see the sub-portions of a signal, click the "expand" button in the left column next to the signal's name, then add the sub portions in the same manner as any other signal.

For instance, if you have defined a State signal like the one above (Address) and you only want to add the Enable signal to the pattern match, then expand it and double-click on Enable.

Note: If a signal is valid for the trigger configuration, a green icon will be displayed next to it. Any other icon, such as the blue circle above on the Enable and the Frame Sync channel of the Address signal, indicates a channel state that is invalid for triggering. The Blue icon in the Edit area for Enable indicates the channel has been configured as 'Ignored' in the signal definition editor and is generally "Disabled" (Blue icon in the selection tree on the left). The Red outline in the edit area indicates an invalid signal has already been added to the definition, making it invalid. When moving the mouse over an invalid signal match, a hint will display with additional details of the error.

Delete a Signal - Highlight a signal in the right portion of the window (or mouse-over its bit selections) and click the "-" button to delete it from the Pattern Match.

Changing Bit Pattern - Each bit of the signal can be toggled between the 3 states of '0', '1' and 'x' (don't care) by simply clicking on the bit position in the pattern edit area. To set all bits for a signal to one of these 3 values, use the X, 0 and 1 buttons to the upper-right of the pattern edit area.

Identifier - Change the identifier to something meaningful for the match condition if you do not want the default "Match #" to be displayed in the formula and the graphical configuration area of the trigger screen.

Duration - Enter the stability duration by selecting the units then typing the value. The Maximum Duration period for Models DV3200, DV3209, DV3400, DV3409 and DV3500 is 5 ms; 10ms for Models DV3100 and DV3109. The Trigger condition will not be considered as "True" until the selected signals (and bits) match the pattern for the indicated duration period.


Edge Match

The edge trigger circuit is a 36 (or 72) input OR of rising edge and falling edge detectors. You can specify a trigger on rising, falling or transition on any combination of channels (rising edge of ALE or falling edge of OE or falling edge of WT or transition on clock...). All '-' entries for a channel means "don't care". The Edges Match Editor is displayed below

ADD a Signal - Highlight a defined signal from the left portion of the window and click the "+" button to add it to the Edges Match. You can also just "Double-Click" the defined signal to automatically add it. NOTE: High Level signal definitions (such as State, I2C, or etc) cannot be added directly as a complete signal. However, the individual portions of the signal (such as :CLK above) can be added in the same manner. To see the sub-portions of a signal, click the "expand" button in the left column next to the signal's name, then add the sub portions in the same manner as any other signal.

For instance, if you have defined a State signal like the one above (Address) and you only want to add the :Clock Channel signal to the Edges match, then expand it and double-click on :Clock Channel.

Note: If a signal is valid for the trigger configuration, a green icon will be displayed next to it. Any other icon, such as the blue circle above on the Frame Sync channel of the Address signal, indicates a signal state that is invalid for triggering. This particular icon indicates that the signal is 'Disabled'. Selecting Ignore in the signal definition editor for a particular sub-signal will disable the sub-signal throughout the application.

Delete a Signal - Highlight a signal in the right portion of the window (or mouse-over its bit selections) and click the "-" button to delete it from the Edges Match.

Changing Bit Pattern - Each bit of the signal can be toggled between the 4 states of '-' (don't care), 'rising', 'falling' and 'either' by simply clicking on the bit position in the Edges edit area. To set all bits for a signal to one of these 4 values, use the buttons to the upper-right of the Edges edit area.

Identifier - Change the identifier to something meaningful for the match condition if you do not want the default "Match #" to be displayed in the formula and the graphical configuration area of the trigger screen.


Stable Match

All '-' entries for a channel means "don't care". The Stable Match Editor is displayed below.

ADD a Signal - Highlight a defined signal from the left portion of the window and click the "+" button to add it to the Stable Match. You can also just "Double-Click" the defined signal to automatically add it. NOTE: High Level signal definitions (such as State, I2C, or etc) cannot be added directly as a complete signal. However, the individual portions of the signal (such as :Clock(SCL) above) can be added in the same manner. To see the sub-portions of a signal, click the "expand" button in the left column next to the signal's name, then add the sub portions in the same manner as any other signal.

For instance, if you have defined an I2C signal and you only want to add :Clock(SCL) to the Stable match, then expand it and double-click on :Clock(SCL). It would then appear on the right portion of the editor as "AND I2C:Clock(SCL)" like the ALE signal above.

Note: If a signal is valid for the trigger configuration, a green icon will be displayed next to it. Any other icon, such as the blue circle above on the Frame Sync channel of the Address signal, indicates a signal state that is invalid for triggering. This particular icon indicates that the signal is 'Disabled'. Selecting Ignore in the signal definition editor for a particular sub-signal will disable the sub-signal throughout the application.

Delete a Signal - Highlight a signal in the right portion of the window (or mouse-over its bit selections) and click the "-" button to delete it from the Stable Match.

Selecting Stable bits - Each bit of the signal can be toggled between the 2 states of '-' (don't care) and 'STABLE' by simply clicking on the bit position in the Stable edit area. To set all bits for a signal to one of these 2 values, use the buttons to the upper-right of the Stable edit area. Boolean signals, if added, do not offer a choice and should be removed when they are no longer needed as part of the Stable match.

Duration - Enter the stability duration by selecting the units then typing the value. The Maximum Duration period for Models DV3200, DV3209, DV3400, DV3409 and DV3500 is 5 ms; 10ms for Models DV3100 and DV3109. The Trigger condition will not be considered as "True" until the selected signals (and bits) have been stable for the indicated duration period.

Identifier - Change the identifier to something meaningful for the match condition if you do not want the default "Match #" to be displayed in the formula and the graphical configuration area of the trigger screen.


Equal Match

The Equal Match Editor:

ADD a Signal - Highlight a defined signal from the left portion of the window and click the "+" button to add it as the Equal Match. You can also just "Double-Click" the defined signal to automatically add it. NOTE: High Level signal definitions (such as State, I2C, or etc) cannot be added directly as a complete signal. However, the individual portions of the signal (such as the 'Data Channels' portion of a State Signal) can be added in the same manner. To see the sub-portions of a signal, click the "expand" button in the left column next to the signal's name, then add the sub portion in the same manner as any other signal.

For instance, if you have defined a State signal and you want to add the Data portion of the signal to the Equal match, then expand it and double-click on :Data Channels. It would then appear on the right portion of the editor as shown above.

The Equal Match type only accepts one signal at a time. If you attempt to add a second signal, a dialog will appear asking if you want to replace the existing signal with the current one.

Note: If a signal is valid for the trigger configuration, a green icon will be displayed next to it. Any other icon, such as the blue circle above on the Frame Sync channel of the Address signal, indicates a signal state that is invalid for triggering. This particular icon indicates that the signal is 'Disabled'. Selecting Ignore in the signal definition editor for a particular sub-signal will disable the sub-signal throughout the application.

Delete a Signal - Highlight a signal in the right portion of the window (or mouse-over its bit selections) and click the "-" button to delete it from the Equal Match.

Match Value Format - The value for the Equal Match type can be entered in Decimal, HEX, Binary or ASCII format. The value will be limited to the maximum value allowed for the selected signal, which will depend on the number of bit positions assigned to the signal. The formats for entering each value type is described below.

Decimal: Enter any valid decimal value. An Invalid value will be cleared to 0 or assumed to be HEX.

HEX: Start the value with an "x" or a "0x". If too many digits are entered, the most significant nibble (leftmost) will be discarded. Any non-HEX digit will be ignored.

Binary: Enter "b" followed by "1's" and "0's". If too many digits are typed, the MSb (leftmost bit) will be discarded. Any numerical value larger than a "1" or non-numerical character will be considered a "1".

ASCII: Start the value with a single or double quote.

Duration - Enter the match duration by selecting the units then typing the value. The Maximum Duration period for Models DV3200, DV3209, DV3400, DV3409 and DV3500 is 5 ms; 10ms for Models DV3100 and DV3109. The Trigger condition will not be considered as "True" until the entered value for the selected signal has been valid for the indicated duration period.

Identifier - Change the identifier to something meaningful for the match condition if you do not want the default "Match #" to be displayed in the formula and the graphical configuration area of the trigger screen.


Not Equal Match

The NOT Equal Match Editor:

ADD a Signal - Highlight a defined signal from the left portion of the window and click the "+" button to add it as the NOT Equal Match. You can also just "Double-Click" the defined signal to automatically add it. NOTE: High Level signal definitions (such as State, I2C, or etc) cannot be added directly as a complete signal. However, the individual portions of the signal (such as the Data Channel portion of a State Signal) can be added in the same manner. To see the sub-portions of a signal, click the "expand" button in the left column next to the signal's name, then add the sub portion in the same manner as any other signal.

For instance, if you have defined a Synchronous Serial signal (i.e. SPI) and you want to add the :Enable portion of the signal to the NOT Equal match, then expand it and double-click on :Enable. It would then appear on the right portion of the editor.

The NOT Equal Match type only accepts one signal at a time. If you attempt to add a second signal, a dialog will appear asking if you want to replace the existing signal with the current one.

Note: If a signal is valid for the trigger configuration, a green icon will be displayed next to it. Any other icon, such as the blue circle above on the Frame Sync channel of the Address signal, indicates a signal state that is invalid for triggering. This particular icon indicates that the signal is 'Disabled'. Selecting Ignore in the signal definition editor for a particular sub-signal will disable the sub-signal throughout the application.

Delete a Signal - Highlight a signal in the right portion of the window (or mouse-over its bit selections) and click the "-" button to delete it from the NOT Equal Match.

Match Value Format - The value for the Not Equal Match type can be entered in Decimal, HEX, Binary or ASCII format. The value will be limited to the maximum value allowed for the selected signal, which will depend on the number of bit positions assigned to the signal. The formats for entering each value type is described below.

Decimal: Enter any valid decimal value. An Invalid value will be cleared to 0 or assumed to be HEX.

HEX: Start the value with an "x" or a "0x". If too many digits are entered, the most significant nibble (leftmost) will be discarded. Any non-HEX digit will be ignored.

Binary: Enter "b" followed by "1's" and "0's". If too many digits are typed, the MSb (leftmost bit) will be discarded. Any numerical value larger than a "1" or non-numerical character will be considered a "1".

ASCII: Start the value with a single or double quote.

Duration - Enter the match duration by selecting the units then typing the value. The Maximum Duration period for Models DV3200, DV3209, DV3400, DV3409 and DV3500 is 5 ms; 10ms for Models DV3100 and DV3109. The Trigger condition will not be considered as "True" until the entered value for the selected signal has been valid for the indicated duration period.

Identifier - Change the identifier to something meaningful for the match condition if you do not want the default "Match #" to be displayed in the formula and the graphical configuration area of the trigger screen.


Greater Than Match

The Greater Than Match Editor:

ADD a Signal - Highlight a defined signal from the left portion of the window and click the "+" button to add it as the Greater Than Match. You can also just "Double-Click" the defined signal to automatically add it. NOTE: High Level signal definitions (such as State, I2C, or etc) cannot be added directly as a complete signal. However, the individual portions of the signal (such as the Data Channel portion of a State Signal) can be added in the same manner. To see the sub-portions of a signal, click the "expand" button in the left column next to the signal's name, then add the sub portion in the same manner as any other signal.

For instance, if you have defined a Synchronous Serial signal (i.e. SPI) and you want to add the :Enable portion of the signal to the Greater Than match, then expand it and double-click on :Enable. It would then appear on the right portion of the editor.

The Greater Than Match type only accepts one signal at a time. If you attempt to add a second signal, a dialog will appear asking if you want to replace the existing signal with the current one.

Note: If a signal is valid for the trigger configuration, a green icon will be displayed next to it. Any other icon, such as the blue circle above on the Frame Sync channel of the Address signal, indicates a signal state that is invalid for triggering. This particular icon indicates that the signal is 'Disabled'. Selecting Ignore in the signal definition editor for a particular sub-signal will disable the sub-signal throughout the application.

Delete a Signal - Highlight a signal in the right portion of the window (or mouse-over its bit selections) and click the "-" button to delete it from the Greater Than Match.

Match Value Format - The value for the Greater Than Match type can be entered in Decimal, HEX, Binary or ASCII format. The value will be limited to the maximum value allowed for the selected signal, which will depend on the number of bit positions assigned to the signal. The formats for entering each value type is described below.

Decimal: Enter any valid decimal value. An Invalid value will be cleared to 0 or assumed to be HEX.

HEX: Start the value with an "x" or a "0x". If too many digits are entered, the most significant nibble (leftmost) will be discarded. Any non-HEX digit will be ignored.

Binary: Enter "b" followed by "1's" and "0's". If too many digits are typed, the MSb (leftmost bit) will be discarded. Any numerical value larger than a "1" or non-numerical character will be considered a "1".

ASCII: Start the value with a single or double quote.

Duration - Enter the match duration by selecting the units then typing the value. The Maximum Duration period for Models DV3200, DV3209, DV3400, DV3409 and DV3500 is 5 ms; 10ms for Models DV3100 and DV3109. The Trigger condition will not be considered as "True" until the entered value for the selected signal has been valid for the indicated duration period.

Identifier - Change the identifier to something meaningful for the match condition if you do not want the default "Match #" to be displayed in the formula and the graphical configuration area of the trigger screen.


Greater Than or Equal Match

The Greater Than or Equal Match Editor:

ADD a Signal - Highlight a defined signal from the left portion of the window and click the "+" button to add it as the Greater Than or Equal Match. You can also just "Double-Click" the defined signal to automatically add it. NOTE: High Level signal definitions (such as State, I2C, or etc) cannot be added directly as a complete signal. However, the individual portions of the signal (such as the Data Channels portion of a State Signal) can be added in the same manner. To see the sub-portions of a signal, click the "expand" button in the left column next to the signal's name, then add the sub portion in the same manner as any other signal.

For instance, if you have defined a Synchronous Serial signal (i.e. SPI) and you want to add the :Enable portion of the signal to the Greater Than match, then expand it and double-click on :Enable. It would then appear on the right portion of the editor.

The Greater Than or Equal Match type only accepts one signal at a time. If you attempt to add a second signal, a dialog will appear asking if you want to replace the existing signal with the current one.

Note: If a signal is valid for the trigger configuration, a green icon will be displayed next to it. Any other icon, such as the blue circle above on the Frame Sync channel of the Address signal, indicates a signal state that is invalid for triggering. This particular icon indicates that the signal is 'Disabled'. Selecting Ignore in the signal definition editor for a particular sub-signal will disable the sub-signal throughout the application.

Delete a Signal - Highlight a signal in the right portion of the window (or mouse-over its bit selections) and click the "-" button to delete it from the Greater Than or Equal Match.

Match Value Format - The value for the Greater Than or Equal Match type can be entered in Decimal, HEX, Binary or ASCII format. The value will be limited to the maximum value allowed for the selected signal, which will depend on the number of bit positions assigned to the signal. The formats for entering each value type is described below.

Decimal: Enter any valid decimal value. An Invalid value will be cleared to 0 or assumed to be HEX.

HEX: Start the value with an "x" or a "0x". If too many digits are entered, the most significant nibble (leftmost) will be discarded. Any non-HEX digit will be ignored.

Binary: Enter "b" followed by "1's" and "0's". If too many digits are typed, the MSb (leftmost bit) will be discarded. Any numerical value larger than a "1" or non-numerical character will be considered a "1".

ASCII: Start the value with a single or double quote.

Duration - Enter the match duration by selecting the units then typing the value. The Maximum Duration period for Models DV3200, DV3209, DV3400, DV3409 and DV3500 is 5 ms; 10ms for Models DV3100 and DV3109. The Trigger condition will not be considered as "True" until the entered value for the selected signal has been valid for the indicated duration period.

Identifier - Change the identifier to something meaningful for the match condition if you do not want the default "Match #" to be displayed in the formula and the graphical configuration area of the trigger screen.


Less Than Match

The Less Than Match Editor:

ADD a Signal - Highlight a defined signal from the left portion of the window and click the "+" button to add it as the Less Than Match. You can also just "Double-Click" the defined signal to automatically add it. NOTE: High Level signal definitions (such as State, I2C, or etc) cannot be added directly as a complete signal. However, the individual portions of the signal (such as the Data Channels portion of a State Signal) can be added in the same manner. To see the sub-portions of a signal, click the "expand" button in the left column next to the signal's name, then add the sub portion in the same manner as any other signal.

For instance, if you have defined a Synchronous Serial signal (i.e. SPI) and you want to add the :Enable portion of the signal to the Less Than match, then expand it and double-click on :Enable. It would then appear on the right portion of the editor.

The Less Than Match type only accepts one signal at a time. If you attempt to add a second signal, a dialog will appear asking if you want to replace the existing signal with the current one.

Note: If a signal is valid for the trigger configuration, a green icon will be displayed next to it. Any other icon, such as the blue circle above on the Frame Sync channel of the Address signal, indicates a signal state that is invalid for triggering. This particular icon indicates that the signal is 'Disabled'. Selecting Ignore in the signal definition editor for a particular sub-signal will disable the sub-signal throughout the application.

Delete a Signal - Highlight a signal in the right portion of the window (or mouse-over its bit selections) and click the "-" button to delete it from the Less Than Match.

Match Value Format - The value for the Less Than Match type can be entered in Decimal, HEX, Binary or ASCII format. The value will be limited to the maximum value allowed for the selected signal, which will depend on the number of bit positions assigned to the signal. The formats for entering each value type is described below.

Decimal: Enter any valid decimal value. An Invalid value will be cleared to 0 or assumed to be HEX.

HEX: Start the value with an "x" or a "0x". If too many digits are entered, the most significant nibble (leftmost) will be discarded. Any non-HEX digit will be ignored.

Binary: Enter "b" followed by "1's" and "0's". If too many digits are typed, the Msb (leftmost bit) will be discarded. Any numerical value larger than a "1" or non-numerical character will be considered a "1".

ASCII: Start the value with a single or double quote.

Duration - Enter the match duration by selecting the units then typing the value. The Maximum Duration period for Models DV3200, DV3209, DV3400, DV3409 and DV3500 is 5 ms; 10ms for Models DV3100 and DV3109. The Trigger condition will not be considered as "True" until the entered value for the selected signal has been valid for the indicated duration period.

Identifier - Change the identifier to something meaningful for the match condition if you do not want the default "Match #" to be displayed in the formula and the graphical configuration area of the trigger screen.


Less Than or Equal Match

The Less Than or Equal Match Editor:

ADD a Signal - Highlight a defined signal from the left portion of the window and click the "+" button to add it as the Less Than or Equal Match. You can also just "Double-Click" the defined signal to automatically add it. NOTE: High Level signal definitions (such as State, I2C, or etc) cannot be added directly as a complete signal. However, the individual portions of the signal (such as the DATA portion of a State Signal) can be added in the same manner. To see the sub-portions of a signal, click the "expand" button in the left column next to the signal's name, then add the sub portion in the same manner as any other signal.

For instance, if you have defined a Synchronous Serial signal (i.e. SPI) and you want to add the :Enable portion of the signal to the Greater Than match, then expand it and double-click on :Enable. It would then appear on the right portion of the editor.

The Less Than or Equal Match type only accepts one signal at a time. If you attempt to add a second signal, a dialog will appear asking if you want to replace the existing signal with the current one.

Note: If a signal is valid for the trigger configuration, a green icon will be displayed next to it. Any other icon, such as the blue circle above on the Frame Sync channel of the Address signal, indicates a signal state that is invalid for triggering. This particular icon indicates that the signal is 'Disabled'. Selecting Ignore in the signal definition editor for a particular sub-signal will disable the sub-signal throughout the application.

Delete a Signal - Highlight a signal in the right portion of the window (or mouse-over its bit selections) and click the "-" button to delete it from the Less Than or Equal Match.

Match Value Format - The value for the Less Than or Equal Match type can be entered in Decimal, HEX, Binary or ASCII format. The value will be limited to the maximum value allowed for the selected signal, which will depend on the number of bit positions assigned to the signal. The formats for entering each value type is described below.

Decimal: Enter any valid decimal value. An Invalid value will be cleared to 0 or assumed to be HEX.

HEX: Start the value with an "x" or a "0x". If too many digits are entered, the most significant nibble (leftmost) will be discarded. Any non-HEX digit will be ignored.

Binary: Enter "b" followed by "1's" and "0's". If too many digits are typed, the MSb (leftmost bit) will be discarded. Any numerical value larger than a "1" or non-numerical character will be considered a "1".

ASCII: Start the value with a single or double quote.

Duration - Enter the match duration by selecting the units then typing the value. The Maximum Duration period for Models DV3200, DV3209, DV3400, DV3409 and DV3500 is 5 ms; 10ms for Models DV3100 and DV3109. The Trigger condition will not be considered as "True" until the entered value for the selected signal has been valid for the indicated duration period.

Identifier - Change the identifier to something meaningful for the match condition if you do not want the default "Match #" to be displayed in the formula and the graphical configuration area of the trigger screen.


Sequencer

The trigger circuit of the advanced trigger mode includes 4 cascadable, 4 stage sequencers. These can be chained in any combination to produce longer sequences ( 1@ 16 stages, 2 @ 8 stages...). Stage inputs are OR gates so that more than 1 term of match conditions can be connected to each stage. Each stage includes a 20 bit pass counter.

Setting a Sequencer Counter

Double-Click in the counter to edit its value. When finished editing, either use the "Tab" key or click on another item to assign the new value to the configuration. Anytime the configuration changes, use the "APPLY" button to activate the new settings in the analyzer.

NOTE: "0" is an invalid value, so the counter editor will enforce a minimum count of "1".

Editing of a sequencer counter can also be activated by a Double-Click on the counter item in the Formula View. In the example below, a Double-Click on either of the darker lines will activate editing for Sequencer 1, Counter 1. The counter's current value is shown as 243 (the second darker line) and will update after editing is complete.

sequencer formula view


Analyzer Options

Each model of DigiView has a different set of options that can be adjusted directly from the software. Options are grouped by category on the left side of the window. Select the category using the mouse to modify the options in that group.

Some options update the hardware immediately (Threshold settings) while other options will not update the hardware until you click on the Apply button, leave the Analyzer Options tab or close the configuration window. Options that do not immediately update can be reset by selecting the Cancel button.

project settings button

To access Analyzer Options click the Project Settings button from the tool bar (highlighted above), then select the Analyzer Options tab.

▪ Buffer Settings
▪ Voltage Thresholds
▪ Glitch Filter


Buffer Settings

The settings below apply to all DV3xxx Models of DigiView (such as Models DV3200 or DV3500).

Buffer Size - Adjust to change the size of the Analyzer's internal capture buffer (1% - 100%).

Prefill - Adjust the amount of buffer to use for data captured before the trigger event. If no trigger event occurs, the analyzer will continuously refresh this portion of the buffer with the most recent data (circular queue). When the trigger condition is detected the remaining portion of the buffer will be filled with post-trigger data. The behavior of the prefill (or pre-trigger) portion of the buffer can be modified by the Enforce Prefill option.

Enforce Prefill - Select this option to force the analyzer to fill the buffer to the Prefill setting before looking for a trigger condition. If you do not need the full prefill amount before the trigger condition occurs, then uncheck this option to allow early detection of the trigger.

Capture Time Limit - Select a time-out in the event the capture takes too long to completely fill the assigned buffer size. If the timeout occurs and no trigger condition has been detected the trigger point is placed at the very end of the captured data (when the timeout occurs). Select from 1-99 in seconds, minutes, hours or days.

Apply - When highlighted, a change has been made. Click to save the modified settings.

Cancel - When highlighted, a change has been made. Click to discard any changes and reset to previous values.

The settings above also apply to all DV5xx Models of DigiView (such as Models DV509 or DV518) with the exception of buffer sizing. Instead of a Buffer Size option the DV5xx series, which can also stream data directly to the PC, has a Buffer Allocation setting that combines a streaming buffer with the hardware buffer. This guarantees a large capture even with a slow PC or minimal USB bandwidth.

Buffer Allocation - This new buffer configuration combines the Analyzer's hardware buffer with a streaming buffer on the PC. Regardless of the data rate, the capture is guaranteed to store at least enough data to fill the analyzer's internal buffer with compressed capture records. Our DV5xx series of Analyzers currently have 128Mbits of hardware memory that stores compressed data from the capture. Since the compression method is automatically switched while capturing to optimize storage space, this can be an enormous amount of data (a minimum of 6 to 10 million signal transitions).

Stream Buffer Goal - Adjust this option to select the total amount of signal transitions you would like to capture. The range is from 1 Thousand to 100 Million.

This is not to be confused with samples. This is the number of actual changes being stored with each storage location including all channels. Since the state of all channels are stored whenever any signal has a transition, this setting considers it a single storage transition even if multiple signals changed on that sample. So the result could be more transitions captured than the requested goal.

Be aware that this is the Goal setting, which may not match the result. If the PC can not allocate the memory or if you are using a USB 2.0 connection while capturing signals with a very high data rate, the result will be smaller. You will still capture the minimum in the analyzer's hardware buffer regardless of PC memory, performance, connection type or data rate.

Current Buffer - This is an indicator of how many "transitions" or storage changes are in the current capture being viewed.

This will update after a capture is completed or when loading a capture from the history buffer. It normally will not reflect the exact number requested and can be much smaller than the Goal if the capture was halted for any reason. If the Capture Limit timeout occurred, or the capture was manually stopped or if the PC could not allocate enough memory it will be smaller. In the graphic above the goal was set to 1 Million and the actual stored changes is 6 changes short of the goal. This would be normal due to estimating the required space for a variety of compression records that could hold this number of signal changes.

If you are capturing multiple channels, then you are most likely to have more transitions than indicated since all channels are stored when any channel changes and multiple channels can change on the same sample.

Apply - When highlighted, a change has been made. Click to save the modified settings.

Cancel - When highlighted, a change has been made. Click to discard any changes and reset to previous values.


Voltage Threshold

Voltage Threshold(s)
Visit us on Facebook

The voltage threshold is also known as the Trigger Threshold, Trigger Voltage or Transition voltage. When capturing the activity (voltage changes) on the channels, this is the voltage level that determines the difference between storing a 1 or storing a 0.

For a typical circuit where the lowest voltage indicates a '0' and the highest voltage indicates a '1', you would set this value to the middle of those two voltages (i.e. for 5 Volt CMOS set the threshold to 2.50 volts).

If too much noise activity is being captured, setting this level higher (away from ground bounce or noise) or lower (away from peak bounce or noise) will improve the quality of the capture and even extend the capture time by preventing the storage of phantom transitions or 'garbage'. When decoding serial protocols, capturing noise can cause poor decoding or no decoding at all.

The number of thresholds, the number of channels and the voltage range varies between models. These variations are shown below.

The cable(s) and channels affected by the threshold setting are displayed first. This area also displays the channel numbers, colors and the detected channel activity (relative to each other).

Below the channel indicator area is the current threshold value.

The selection box provides quick selection of standard values to use for common logic families and also indicates the current value in relation to these common settings. The slider bar beneath the selection box can be used to manually set a custom voltage. The mouse can be used to move the slider and once selected by the mouse, the cursor keys can be used for fine adjustment. If the selected voltage does not match a common selection, an indicator will be placed in the selection box between the two closest values.

Threshold adjustments update the hardware immediately.

Threshold settings for Models DV509, DV518 (in 4 Channel Mode)

Threshold settings for Models DV509, DV518 (in 9 Channel Mode)

Threshold settings for Model 518 (in 18 Channel Mode)

Threshold settings for Models DV3109, DV3209, DV3409 and Models DV3100, DV3200 (in 9 Channel Mode)

Analyzer Threshold 9CH

Threshold settings for Models DV3100, DV3200 (in 18 Channel Mode)

Analyzer Threshold 18CH

Threshold settings for Model DV3400 (in 18 Channel Mode)

Analyzer Threshold 18CH34

Threshold settings for Model DV3400 (in 36 Channel Mode)

Analyzer Threshold 36CH34

Threshold settings for Model DV3500 (in 18 Channel Mode)

Analyzer Threshold 18CH35

Threshold settings for Model DV3500 (in 36 Channel Mode)

Analyzer Threshold 36CH35


Glitch Filter

This digital filter is implemented directly in hardware. It will process all raw samples on all channels, suppressing any data changes with a duration shorter than the configured setting. The settings below apply to all DV5xx Models of DigiView (such as Models DV509 or DV518).

Note: Enabling the Glitch Filter on current models will limit the sample rate to 250Ms/ps (4ns)

Suppress Glitches - Select this option to enable the Glitch Filter. To disable this feature, simply uncheck the box.

Filter Width - Use the slider bar to chose the duration. Transitions with a duration shorter than this setting will be suppressed. Our current models can be configured from 4ns to 32ns with a 1ns resolution (28 steps).

Apply - When highlighted, a change has been made. Click to save the modified settings.

Cancel - When highlighted, a change has been made. Click to discard any changes and reset to previous values.


Acquisition Options

project settings button

To change Acquisition options, select the Project Configuration Options button from the main toolbar (highlighted above) then select the Acquisitions Tab.

Auto Run Pause

Selecting this option will add a pause between Auto Run captures instead of immediately beginning the next capture.

Display Behavior after New Capture

These options control the default behavior when a new capture is displayed. This includes newly captured data and data loaded from browsing through the Capture History.

Do Not Change Position - When selected, the current time reference point remains the same. The Waveform Views will remain at their current time reference instead of scrolling to the trigger point or a selected marker position. NOTE: List windows always adjust to the time of the closest matching line of data, so they may change position slightly, based on the new data loaded.

Scroll to Trigger - When selected, the waveform windows will scroll to the trigger point.

Scroll to Marker - When selected, the waveform views will scroll to the chosen marker. After this option is selected, the Marker Selection options are available to make the marker selection.

Capture History Options

These options control when to save captures to the history, the amount of storage to use and determine what action to take if these settings are exceeded. Changes to most of the options below require pressing the "Apply" button in order to reconfigure the history buffer. If this is required, the buttons will highlight with a red border to notify you. Pressing the "Cancel" button or leaving the Acquisition option window (when the buttons are highlighted) will discard any changes and restore your previous settings. When the apply button is pressed, the history will be reconfigured to the new settings and the database rebuilt. If needed, some files will be deleted to meet the new settings, starting with the oldest captures first.

Save capture History - When selected, each capture is stored in the history unless overridden by a plug-in or Auto Search window.

Do Not Save capture History - When selected, each capture is discarded when a new capture is acquired unless overridden by a plug-in or Auto Search window. When this feature is off, the Capture History bar provides a "Save This Capture" button for manually saving a capture to the history (see Capture History).

Delete Capture History - When pressed, all capture history files for the current project will be deleted, including the one being viewed. When opening a project file that does not have any history, the data stored within the project file will be saved as a history file. If history files exist for the project, but the current data is not found in the history, the data will be added to the history at the proper chronological position.

Delete Bookmarked Captures - When pressed, all Bookmarked capture history files will be deleted. All other files will be retained.

Delete Displayed Capture - When pressed, only the current loaded capture will be deleted. All other files will be retained.

Keep Bookmarked Captures, Delete the rest - When pressed, all capture history files will be deleted except the ones that have been Bookmarked.

Keep Displayed Capture, Delete the rest - When pressed, all capture history files will be deleted except the current loaded capture.

Limit by Number of Captures - Select this option to specify the exact number of captures to keep. Once selected, the number of captures can be specified in the Maximum Number of Captures to keep edit box.

Limit by Size on Disk - Select this option to specify the size of the storage space to use for the capture history. Once selected, the size can be selected in the Maximum Disk Size for Capture History editor on the right.

Limit by Disk Free Space - Select this option to specify the amount of free space to reserve on the Hard Drive. Once selected, the size can be selected in the Minimum Disk Size to preserve editor on the right.

Halt when limitation reached - Select this option to halt the analyzer if any of the limitations specified above have been exceeded. A warning dialog will be displayed with information on which limit was exceeded.

Overwrite when limitation reached - Select this option to automatically delete the oldest capture(s) to make room for the newest capture when any of the limitations specified above have been exceeded. The history will be maintained as a First in, First out (FIFO) buffer using the parameters specified above. When limitations are reached, no warning is presented as this configuration will automatically maintain the buffer using the specified limitations as new captures are added.

History Monitor - For your convenience, the current Capture Count, Storage Size and Disk Free Space are displayed to the right of the editors. This display is updated as capture files are added or deleted and can be used as a History monitor while capturing.

Apply - When highlighted, a change has been made. Click to save the modified settings.

Cancel - When highlighted, a change has been made. Click to discard any changes and reset to previous values.

(also see: Capture History)


Color Themes

Several pre-defined color themes, a custom theme, marker color sets and Marker brightness can be selected from the Color Theme Selection window. This window is accessed from Menu-> Configuration-> Color Theme.

▪ All changes occur live throughout the Application but are not saved until accepted by pressing the OK button.
▪ All theme settings are Application wide and independent of the project.
▪ The factory default theme is Slate.

Theme Selection - Select "custom" if you would like to define your own colors, otherwise select from one of the pre-defined color schemes. The area to the right of the scheme selection displays a list of the items that are affected by theme changes along with the current theme color for that item. Due to the wide range of colors between themes, the Marker Options are saved for each theme independently and will refresh when changing the theme selection.

Marker Options - When selecting a theme, Marker Options will be updated to the selections previously used for the newly selected theme. When selecting a marker color set, the Marker Color Level and Marker Text Level settings will update to the settings last used for the set when the current theme was last selected.

Window Appearance - This setting will have a dramatic affect on the application's color appearance and brightness. This setting is independent of the selected color theme and marker options.

3D Satin Gradient - This selection paints most windows with a top to bottom transitional background color. The gradient begins with the Signal Background color and slowly transitions to the Frame color by the time the bottom of the window is reached. This gives a soft 3D look with a satin appearance if there is sufficient contrast between the two colors. This also has the affect of slightly darkening the application's appearance compared to using the Flat Tile selection. | theme example 3d
Flat Tile - This selection will paint most windows with the color selected for Window Background. This results in a brighter, flat window appearance that resembles the newer 'Tile' themes implemented in mobile and desktop devices. | theme example flat

Reset Signal Colors - Click this button to reset any Signal colors that do not match the current color theme. Normally, changing the theme will also change a signal's colors. However, if you have customized a signal's color, then it will not change with theme changes. To reset signal colors, click this button and select an option from the menu that appears. To reset a specific signal's colors without changing other signals, use that signal's editor instead.

Cancel - Discards any selection changes, restores options to previous settings and closes the window.

OK - Accepts all changes and closes the window.

Related Topics:

▪ Theme Examples
▪ Custom Theme


Theme Examples

Slate

Steel Blue

Dusk

Moss

Green

Gold

Turquoise

Lime

Violet

Neon Blue

theme Neon Blue

Neon Green

theme Neon Green

Flamingo

Peach

Silver


Custom Theme

To create a completely custom color theme or to slightly change an existing theme, select the "Custom" option in the Theme Selection list. When Custom is selected, the color for individual theme items can be changed to fit your preference.

custom theme select

Click on the item to change after Custom has been selected.

see (Using the Color Selector)

To start with colors from a particular theme click the "Copy Theme to Custom" button and select the theme to copy the settings from...

All settings from the selected theme will be copied into the Custom Theme. This includes all marker configurations that were previously used in the theme.

custom theme changed


Using the Color Selector

DigiView's color selection dialog uses live updates while selecting colors so the results can be seen without closing the dialog. The original color can be restored at any time by canceling the operation. Additional features include selecting from a grayscale range from full black to full white, selecting from any of the colors used in the current theme, reselecting the original color for the item being modified or a complete custom color. RGB values are displayed for the original color, the color being previewed and the newly selected color. Color Preview will update while the mouse moves over a selectable color. A square will highlight the selected color if it is present in the RGB and/or Grayscale gradient swatches.

Selecting an existing Theme color

Clicking on any of the Theme color swatches will set the New color to match and update the color of all affected items in the application.

Selecting from the Grayscale range

Clicking anywhere in the grayscale gradient swatch will select the color value under the mouse and update the color of all affected items in the application. As the mouse is moved in this area the Color Preview will display the color under the mouse and its RGB values.

Selecting a Custom Color from the RGB swatches

Clicking anywhere in the Red, Green or Blue gradient swatches will select the color value under the mouse and update the color of all affected items in the application.. As the mouse is moved in this area the Color Preview will display the color under the mouse and its RGB values.

Old color

This is the original color for the item being edited. When the window first opens, a square will also indicate where this color is located in the RGB or Grayscale area. Clicking in the Old Color area will copy the original color to the New Color area.

New color

This is the most recent color selected since opening the window. Whenever a new color is selected, a square will also indicate where this color is located in the RGB or Grayscale area. Clicking in the New Color area will reset it by copying the original color.

Color Preview

This area will display whatever color is under the mouse as it is moved over any color selection area.

Older Project Color Mismatches

If a custom color from an older project is selected for modification and a reasonable match can not be found in the dialogs' color range, two color swatches will appear just below the New Color swatch. These two swatches represent the two closest matches to the original color that could be found in the current color range selections. Click on either of these swatches or choose a new color entirely. If the dialog is closed and the file is saved after making this change, the original color can not be restored.


Environment Settings

main menu button

Several Environment options are available and can be accessed from Main Menu-> Configure-> Environment.

General

Auto Save - Select this option to automatically save the current file. All current settings and data will be saved to the file when exiting the program or opening another file. The "Notify when Save Needed" option is disabled when this option is enabled. (see also: Project Operations )

Notify when Save Needed - Select this option if you want to be notified of unsaved changes before exiting the program or opening another file. The "Auto save" option is disabled when this option is enabled. (see also: Project Operations )

Show Projects on Startup - Selected by default, this option presents a Choice of items to load when the software is launched. De-select this option to skip the Project Selections window on startup. If disabled, the "Restore Last File on Startup" option will be enabled.

Restore Last File on Startup - Select this option to skip startup options and automatically load the last file used previously. If disabled, the "Show Projects on Startup" option will be enabled. If the last file used is missing when launching DigiView with this option enabled, then the Project Selections window will still open. A project must be opened or created for the software to operate.

Play Trigger Sound - Selected by default, this option causes the software to present an audible indication of Trigger events. In continuous run mode, the alert will sound only once on repeated trigger conditions. De-select this option if you do not want the audible alert. The Audible sound can be customized by using the Operating systems "Sounds" control applet.

Play Event Sounds - Selected by default, this option causes the software to present an audible indication of any Snap or Scroll events. De-select this option if you do not want the audible alert. The Audible sound can be customized by using the Operating systems "Sounds" control applet.

Debug Plug-ins - Select this option to have the DigiView software pause when loading a custom plug-in. A message dialog will open and DigiView execution will wait until you close the dialog. This provides a means for the developer to attach the DigiView process to an external debugger before the plug-in module begins to execute.

Clear Data Before Run - Select this option to clear the display of all captured data when the Run or Auto Run button is pressed. This will clear the captured data if it was NOT already saved to the Capture History.

Enable Capture History on New Projects - Select this option to enable the Capture History when creating a new project. (see Creating a New Project )

Select from Templates on New Projects - Select this option to show the Template Selection window when creating a new project. (see Creating a New Project )

Use Template Acquisition Settings - Select this option to use the Acquisition settings of the template chosen for a New Project. Deselect to use the default settings instead. (see Acquisition Options )

Hide Title Bar of Docked Windows - This option toggles the visibility of the title bar of all docked windows. This is useful to preserve space in the docking areas or to eliminate unneeded labels for a cleaner user interface. The title of the docked window is always available by moving the mouse over the window's menu button.

Show Getting Started Slides - Select this option to see the getting started slides when launching the application. These are important hints that provide information necessary for getting the most out of using our software.

Preview Signal Changes while editing - With very large captures (10 Million transitions or more), signal and display updates can be noticeably slow while editing a signal and previewing the changes. Deselect this option to disable the automatic preview. This option as well as a manual "Refresh" button is available in the editor.

Wave Form Views

Vertical Lines - Check this option to display vertical lines at the time divisions in the Wave Form views.

Reference Line for @ - Check this item to display a vertical line at the time reference marker (@) of the Wave Form views.

Horizontal Lines - Check this option to display a horizontal line beneath each visible signal in the Wave Form views. This may be desired to help determine the state of multiple Boolean signals when zoomed in at maximum resolution.

Snap to Frames - Check this option to snap to frames by default and use the shift key to snap to fields. If unchecked, the default is to snap to fields and use the shift key to snap to frames. This option affects all marker and signal snapping features of Signals with Frame information in the waveform view.

Snap to Boolean Cycle - Check this option to snap to the next Cycle by default and use the shift key to snap to the next Edge. If unchecked, the default is to snap to the next Edge and use the shift key to snap to the next Cycle. This option affects all marker and signal snapping features of Boolean signals in the waveform view.

Hide Marker Delta when off screen - When a marker is snapped or dragged to a new position, or when a marker is split into two markers (marker complement), a time measurement is displayed from the last position to the new position or between the marker pair. This is the Marker Delta. When the time points of the Marker Delta are off screen, the measurement is still visible on the edge of the Waveform View in the direction of the Marker's position. Check this option to hide this measurement when the Delta points are not in the viewing area of the Waveform View.

Add Gutter Space for measurements - When selected, the height of each row will be increased to accommodate an empty space reserved just for measurements. This provides room above a signal's waveform to display any measurements (Instant, Quick, Marker), keeping the waveform visible at all times. This setting is ignored when a signal is configured for plotting.

Click to Bring @ to Edge - When the mouse is clicked in a Waveform view it will scroll that point to the Center Time Reference location ( @ ). If near a change in a signal, it will scroll the time of the change to the Center Time Reference. If you select this option, the behavior changes to bring the Center Time Reference to the point clicked. Holding the Shift Key while clicking will perform the opposite of the selected function.

Reset Row Height - Click the "Apply" button to reset the heights of all signals in the Wave Form displays to the value entered as the Current Default size. Edit the current value to enable the "Apply" button.


Capturing Data

Once signals and triggers are defined, you can capture a new buffer of data at any time by pressing the 'Run' or 'Auto Run' buttons. If you tire of waiting on a trigger or the Analyzer triggers but you tire of waiting for its buffer to fill, you can manually STOP the capture to transfer the buffer. When transferred to the screen, the capture is also stored in the capture history for later analysis (based on Acquisition settings).

If you have little or no activity after the trigger condition and find the need to manually halt the capture frequently, you may want to set a timeout period for automatic stopping the capture or reduce the Analyzer's buffer size (see Analyzer Buffer).

previewbutton Preview - This mode will automatically transfer data to the PC repeatedly even if a trigger condition has not been defined. This mode is very useful to Monitor signals while making connections and only utilizes a small portion of the hardware buffer. In this mode, the buffer size and duration of data collection is adjusted automatically to provide a "peek" of the logic activity and is not intended for normal data analysis. The result is a virtual "LIVE" mode that does not try to search the data (Auto Search windows) or store the data in the capture history. The data displayed will be discarded when the results of a normal Run (single shot) or Auto Run are displayed.

autorunbutton Auto Run - This will "ARM" the hardware, wait for the trigger condition, automatically display the data and then re-arm to repeat the process until the Stop button is pressed. If you are waiting on a Trigger condition that you expected to occur, you can select the "Stop" button to view the data already collected (see Analyzer Options).

runbutton Run - This will "ARM" the hardware and automatically display the data when the buffer is full or manually stopped. If you are waiting on a Trigger condition that you expected to occur, you can select the "Stop" button to view the data already collected (see Analyzer Options).

When you click on 'Run' (or Auto Run), you are actually arming the trigger circuit. After detecting the trigger condition, the hardware allows the buffer to continue past the pre-fill point and continues to capture until all buffers are full. After the remaining data in the hardware the buffer has been transferred to the PC, the hardware immediately resets and halts if you selected RUN. If you selected Auto-Run, the next capture begins.

Capture Status Window

When capturing or previewing data, a window will open to display several statistics about the data, the buffer and anything involved with processing that data. The type of information displayed will depend on your project settings and the Capture mode. A few examples are displayed below.

Stopping the Capture

Press the Stop button to end the capture. If the button turns dark after selecting it without closing the window, the software is simply busy with a critical task. The request to stop has been seen and will be performed as soon as the time critical function is complete (such as Compressing the current capture or updating signals with the new data). You will only see this delay when capturing a very large amount of data (10 Million transitions or more).

Capture related topics:

▪ Trigger Mode
▪ Hardware Status
▪ Capture History
▪ Status Window

(see also: Acquisition Options, Analyzer Options)


Hardware Status

The lower right corner and the upper right corner of the main window display Hardware Status information. This information will keep you informed of the hardware's buffer usage and capture state.

Analyzer State

The upper right corner of the Top Tool Bar will display the current state of the Analyzer using a "light Bulb" symbol and a short text message (next to the run buttons), while the lower right corner will display the state of the hardware as simple LED indicators with a letter abbreviation for a reminder.

Message Example:

The 'Light Bulb" is lit, indicating that a trigger event occurred. The current status is "Post-Filling", indicating that the remainder of the buffer is being filled with post-trigger data.

Indicator Example:

The Status LEDs above indicate that the unit is powered, a trigger event has occurred and the remainder of the buffer is being filled with post-trigger data. Descriptions of each LED are provided below.

P Powered - The analyzer has been detected and is powered.

H Halted - The analyzer is 'IDLE' or waiting for a RUN command.

P Pre Filling - The analyzer is capturing data and filling the 'Pre-Fill' portion of the buffer.

A Armed - The analyzer is Armed and actively looking for a trigger condition.

T Triggered - The analyzer detected a trigger event.

P Post Filling - The remaining portion of the buffer is being filled with post trigger data.

F Full Buffer - The buffer is full (normally only active for a split second).

X Transferring - The analyzer is transferring the remaining compression records to the PC (normally only active for a split second).

The typical progression of the status indicators is from left to right.


Capture History

If the "Save capture to History" option is selected (default is off), each capture is stored on the Hard Drive as a history buffer and maintained according to the settings configured in Acquisition Options. Each project maintains its own history buffer in a sub folder using the same name as the project file. However, the project file does not require the history buffer to be present when opened. This allows the project file to operate as a 'stand-alone' file for sharing or archival purposes. When saving the project file, the currently loaded capture is embedded in the project (see also: Acquisition Options).

History Browsing

The history buffer can be accessed utilizing the History Menu, the Browse button or the bar graph. These items are located at the bottom of the main window. When browsing the history, the data for that history item will be loaded and all Signals, Auto Searches, Lists, Tables, etc. will refresh as if the data had just been captured.

historybuttons

historybar

Menu Button

Click the Menu button (highlighted below) to display the Capture History Menu:

history menu button

Clicking "Options" will take you to the History options in Acquisition Options.

Browse Button

browse history button

A Left-Click or Right-Click on the browse button (highlighted above) will load the previous or next item in the history buffer. Holding the mouse down will repeat the action in the same direction, causing an "Animation" of the history.

Search History Button

search history button

Click this button (highlighted above) to open the Capture History Search. This allows a search of the entire capture history using any normal search displayed in the Global search or the Search Manager.

Bookmark Button

Click the Bookmark button (highlighted above) to toggle a bookmark for the current capture. If already bookmarked, then the bookmark is cleared.

Bar Graph

Bar Graph Display Items:

▪ The triangle in the bar graph indicates the current position in the buffer.
▪ The small squares represent a bookmarked item which are also listed in the history's menu for quick access.
▪ The numbers in the top-left portion of the bar graph represent the Capture ID Number, the Position of the current capture in the buffer and the Total number of captures stored (in that order).

Bar Graph Functions:

▪ Click on the bar graph to "jump" to different items in the history.
▪ Click and drag the mouse in the bar graph to display the history item number to be loaded when the mouse is released.
▪ Click on the "Delete This Capture" button to delete the currently loaded capture. Once deleted, a capture is completely removed from the history and can not be restored.
▪ When a capture has not been saved to the Capture History (feature is off or the data is a Preview), the "Delete This Capture" button changes to "Save This Capture". Click on the button to save the capture.

See Also:

History Searching


Status Window

feature window button

To open a new Status Window, use the "Open Feature Window" button (highlighted above) and select "Status" from the menu. Status windows can be docked, tabbed with other dockable windows or placed on any monitor (see Window Arrangement).

The Status Window displays key statistics of the current capture being viewed, the Capture History and the last Analyzer Run. These statistics will be displayed for any capture in the history (when loaded for viewing) and for any new captures (whether stored in the history or marked for discarding).

The Status window displays the following:

Captured Samples - Total number of samples stored in the loaded capture. Samples are always at the full configured resolution of the Analyzer. DigiView never down-samples or discards samples in a capture.

Total Timespan - The total time covered by the stored samples in the loaded capture, from the first sample to the last sample.

Capture History ID - A unique identifier is assigned to each capture and used for storage and bookmarking purposes. The ID of the loaded capture is displayed here. This ID is also used as the filename extension in the capture history sub folder.

Data and Time of Capture - The date and time (in millisecond resolution) is always stored when a capture is transferred to the PC from the Anlayzer. This is the actual capture time and may not always match the file date and time. This data is stored in each capture and can not be modified. Note: When opening older projects that did not store the capture date and time, this will display the project's data instead.

Files in History - The Capture History is stored in a sub folder using the Project's name. This is the total number of compatible captures located in this directory that have been indexed by the project. The history is re-indexed whenever the project opens, captures are deleted or an indexed capture file is missing (by manual deletion, drive corruption, etc). If a capture is discovered to be missing while browsing or jumping to its index, the closest chronological capture to the missing index will be loaded instead.

Saves/Captures this run - This statistic is updated whenever a capture is transferred to the PC or the Analyzer is halted and tracks the number of captures saved in the Capture History compared to the number of captures retrieved from the Analyzer since the Analyzer was last armed. Acquisition settings, Auto Search Settings and Plug-ins can determine when to discard or save a capture. Note: Preview data is not stored in the capture history.


Navigating and Analyzing the Data

This is where you spend most of your time; trying to make sense of what you captured. You will find DigiView software very intuitive and easy to use but it is important to realize that ZOOM operations occur about the CENTER of the screen (the "@" reference). The tools are all designed to take advantage of this fact to make you more productive.

The general paradigm is to find points of interest, bring them to the center of the screen and then ZOOM. We provide several methods of finding edges and bringing them to the center of the screen so that you can zoom in and out without having to constantly scroll to 'zero-in' on the point of interest.

Navigation, Markers & Buttons:

Waveform Views

▪ Toolbar Buttons
▪ Mouse Functions
▪ Signal Snap Column
▪ Marker Snap and Value Column
▪ Bird's-Eye Scrollbar
▪ Marquee Zoom
▪ Using Markers
▪ Key Functions

Measurements:

▪ Instant measurements
▪ Quick measurements
▪ Dynamic Measurement Window
▪ Marker Time/Delta Window

Viewing the Data in Time-Relative Columns (Tabular Views):

▪ Table Windows
▪ List Windows

Linking Views into Time-Relative Groups:

· Using Link Groups

Searching the Data:

▪ Search Overview
▪ Define Searches
▪ Searching
▪ Search Manager Windows
▪ Search Types


Waveform Views

Waveform views are the central focus of navigating and analyzing the huge amount of captured data. In a waveform view you can Zoom quickly to different resolutions, snap to edges or beginning of packets, drop markers, take measurements and more.

Waveform View Details

▪ Toolbar Buttons
▪ Mouse Functions
▪ Signal Snap Column
▪ Marker Snap and Value Column
▪ Bird's-Eye Scrollbar
▪ Marquee Zoom
▪ Using Markers
▪ Key Functions

Waveform Overview

The main application window has two Waveform Views permanently placed in the center. Additional Waveform Windows can be added and docked or positioned independently on any monitor (multiple monitors are supported). The Primary and Secondary waveform views are shown below.

The Center Time Bookmark (center time reference) is considered "Center" because all operations center around this point and the 'Center time' displayed at the top of the Time Division area refers to its position. In the top Graphic above the Center Time is 21.36us and the bookmark is seen directly beneath it. Although it designates the center of operations, the bookmark can be moved left or right of center to suit your preference. The '@' reference point can be repositioned by moving the mouse over it until the special cursor appears, then click and drag it.

feature window button

To open an additional Waveform View, use the Open Feature Window button (highlighted above) and select "Waveform View" from the menu. Unlike the primary and secondary Waveform Views, these additional Waveform Views can be docked, tabbed with other dockable windows or placed on any monitor (see Window Arrangement).

Waveform View Function Summary

▪ View multiple signals in time correlation.
▪ Expand Multi-Channel Signals to see individual channel waveforms by using the " + " symbol to the left of the signal name.
▪ Individually reverse Expand Order of Multi-channel signals by menu.
▪ Collapse expanded Multi-Channel Signals by using the " - " symbol to the left of the signal name.
▪ Zoom in or out for more or less resolution.
▪ Single button Zoom Max resolution or Zoom Min resolution.
▪ Marque to Zoom function.
▪ Scroll by a single division or Page multiple divisions.
▪ Free Scroll vertically and horizontally by a Right-Click Drag.
▪ Change the Trigger Mode by a Click above the Trigger Column. (see Triggers)
▪ Configure Simple Triggers by a Click on the Trigger Condition symbol beside each signal's name. (see Simple Trigger)
▪ See Instant Time measurement between signal changes. (see Instant Measurements)
▪ Take Quick Measurements by Clicking the Middle Mouse Button and moving the mouse. (see Quick Measurements, Dynamic Measurements )
▪ Link both Waveform Views at the center time for Synchronous Scrolling regardless of each view's zoom level. (see: Using Link Groups)
▪ Drop Marker arbitrarily by Ctl-Drag or Drag & drop in the topmost row.
▪ Snap Markers to next or previous transition of a signal by Drag & drop. (see Using Markers)
▪ Snap Markers to next or previous transition and Bring to Center by Shift-Drag.
▪ Snap Signal to the next or previous transition by using the " <, > " indicators to the left of the signal.
▪ Arbitrary Snap to center and Edge Snap to center by a Left-Click anywhere on a signal.
▪ Set, Clear or Jump to markers.
▪ Signal Row Order can be re-arranged by dragging.
▪ Signal Format can be set to ASCII, Binary, Decimal, HEX or Octal.
▪ Independently select which signals to view in each Waveform View.
▪ Edit Signal Properties by menu or Left-Click on the signal's name. (see: Signal Editors)
▪ Print current Waveform View or Save as JPEG. (see: Printing)

Waveform Menus

To access the main waveform menu, click its menu button (highlighted above). To access a Signal's menu, Right-Click on a Signal name or click on its menu button. Examples of these menus are displayed below.

Waveform Menu: | Waveform Signal Menu:


Toolbar Buttons

We make extensive use of the right mouse button. Most functions have naturally paired operations. Most paired functions are natural opposites (like left/right, in/out, first/last, previous/next). We take advantage of this symmetry to double up the functions of most buttons and other clicks. This not only reduces desktop usage but also results in more natural, easier to remember functions.

For example, rather than having both a SEARCH LEFT and SEARCH RIGHT button, we have a SEARCH button. Left clicking the button will SEARCH LEFT; right clicking will SEARCH RIGHT.

After only a few minutes of use, this becomes much more natural than using separate buttons. Switching directions involves pressing different mouse buttons rather than moving the mouse to a new button in the application. All buttons in the tool bar above the Waveform View are dual-function except the Menu button and Link Group indicator. Additionally, you will find that left and right clicking in Waveform Views on the " < " and " > " symbols, Marker column and various other areas will perform similarly paired functions.

Tool Bar Detail

editsignal Menu

Opens the Waveform View menu using either the Left or Right mouse button.

Search

Left Click - Search Left and scroll to previous match using selected Global Search

Right Click - Search Right and scroll to next match using selected Global Search

navigate Previous View / Next View

Left Click - Navigate backward in the waveform view's Scroll & Zoom history.

Right Click - Navigate forward in the waveform view's Scroll & Zoom history.

Zoom In/Out Max

Left Click - Zoom IN ALL the way (Highest Resolution)

Right Click - Zoom OUT ALL the way (show ALL data)

Zoom In/Out

Left Click - Zoom IN one step (more detail, more resolution) (hold to repeat)

Right Click - Zoom OUT one step (less detail, less resolution) (hold to repeat)

Scroll Start/End

Left Click - Scroll to START of capture data

Right Click - Scroll to END of capture data

Scroll by 5

Left Click - Scroll left by 5 divisions (1/2 screen) (hold to repeat)

Right Click - Scroll right by 5 divisions (1/2 screen) (hold to repeat)

Scroll by 1

Left Click - Scroll left by 1 division. LEFT means to scroll the view window to an earlier point in time. (hold to repeat)

Right Click - Scroll right by 1 division. Right means to scroll the view window to a later point in time. (hold to repeat)

b-toggleinstant Toggle Instant Measurements

Left Click - Toggle the visibility of Instant Measurements.

linkgroup indicator Link Group Indicator

This indicates which link group the view is assigned to. The primary and secondary Waveform views are permanently assigned to Link Group 1 and 2 respectively. Any additional Waveform Views can be assigned to any link group.

linkgroup indicatorselect A small arrow will be present in the lower right corner of the indicator if assignment is available. Left-Click on this indicator to change the group assignment (see Using Link Groups).


Mouse Functions

The mouse is used heavily in Waveform Views. Using the mouse In these views you can perform a wide variety of functions that are summarized below.

Place markers

Drag and place markers or auto-snap to the next Signal change (see Using Markers).

Take Measurements

Select from a variety of measurement methods. View instant measurements while moving the mouse. Perform quick measurements between two points by using the middle mouse button or see the time between a marker's current and last position after snapping or dragging it (see Measurements).

Navigate

Click anywhere in a waveform to bring that point of time to the center of the screen. If you are within a few pixels of a change in the signal it will scroll to the center of the screen instead (Edge Snapping). Hold the Control Key when clicking near an edge to override Edge Snapping.

Scroll the the next or previous change of a signal to the center of the screen by using the button in the Snap Signal Column to the left of the waveform.

Drag Scrolling

Right-Click and Drag the mouse on a waveform to perform a 1:1 scroll in the horizontal direction. Right-Click and Drag the mouse vertically to scroll additional waveforms into view. Hand scrolling will not scroll vertically and horizontally at the same time so it chooses the direction based on the initial drag and displays arrows indicating the chosen direction. If you do not drag after using the Right-Click, the Waveform Menu will appear.

Free Scrolling

Along the bottom of each Waveform View is the Bird's-Eye Scrollbar for seeing relative position, jumping to another position or scrolling freely in the data.

ZOOM

Use the Mouse Wheel to change the Time per Division. Scroll the wheel forward to Zoom In (less time per division). Scroll the wheel backward to Zoom Out (more time per division). Time division changes in 1,2,5 increments (10ns, 20ns, 50ns, 100ns, 200ns, 500ns, 1us, 2us, etc).

Expand, Edit and Change Signal Radix

Expand a signal to see its individual channels or sub-signals using the small arrow to the left of the Signal Name. Click on the name to Edit the signal (see Signal Editors) and use the Signal's menu button to change the Radix and Swap the order of the expanded signals.

Plot Handle

Set the gain and position of Plots by dragging the Plot Handle at the end of the waveform. To switch between plots use the Space Bar or click on the handle of the plot to switch to.

Functions Organized by Mouse Button or Action

Click on the Mouse Help button to display a summary of the mouse functions available in the waveform views.

waveview mouse functions1

waveview mouse functions2


Snap and Value Columns

At the end of each waveform are two additional columns: The Snap Signal column and the Value/Marker Snap column.

Snap Signal Column

Scroll the next or previous change of a signal to the center of the screen by using the button in the Snap Signal column at the end of the waveform. Use the Left mouse button (Left-Click) to snap the previous transition into view. Use the right mouse button (Right-Click) to snap the next transition into view. The transition will scroll to the Time Reference point in the center of the screen (labeled '@' and visible to the right of the red marker below).

The Snap Signal column is the first column to the right of the waveform:

Signal Value and Marker Snap Column

The Value/Marker Snap column has multiple functions and a local menu for configuration options. It is the last column in the Waveform view, just after the Signal Snap column.

Column features:

1. Displays the value of each signal at the selected Time Reference (Time Source).
2. Displays which waveform is currently assigned to the selected marker (Active Marker) by using the marker's colors.
3. Is used to assign a different waveform to the Active Marker without changing the marker's position.
4. Is used to snap the Active Marker to the Next or Previous edge of the assigned waveform.
5. Indicates the position of the currently selected marker (Active Marker) relative to the screen's Center Time reference (marked by the movable '@' tag). This Delta measurement is displayed at the very top of the column using the same colors as the selected marker.
6. Indicates the Time Source selection (for the column's waveform values) on the Time Source button.

Example of assigning a marker to another signal without moving the marker's position:

Click once in the column to re-assign the marker to another waveform. Once assigned, any Left or Right click will move the marker to the previous or next edge of the waveform. Holding either mouse button down will repeat the function. If the marker's "scroll to @" function has been enabled, the waveform's new marker position will scroll to the Center Time reference point ( also see: Using Markers: Marker Quick Menu ).

Time Reference Selections:

1. (@) - Center Time (the '@' indicator, live value update when jumping, snapping or scrolling).
2. (A) - Active Marker Position (live value update with marker movement).
3. (M) - Mouse Position (live value update with mouse movement).
4. (T) - Trigger Position (static, values of each waveform at time 0).

Click the Time Source button at the top of the value column (above the waveforms) to change the Time Reference for the displayed values. This button also serves as an indicator to remind you of the current setting.

In the images above, this button displays the letter "A", indicating the values displayed for each waveform are from the time corresponding to the Active Marker's position. In the images below, the button indicates a selection of "Center Time", which is the time corresponding to the screen's time reference (marked by the movable '@' tag).

Click on the Time Source button to open the selection menu and change the setting:


Bird’s-Eye Scrollbar

The Bird's-Eye scrollbar gives you the really big picture. It shows the relative zoom and position of the waveform window to the total data. As you navigate through the data, you can look at the Bird's-Eye to see exactly where you are in the data and how fast you are progressing through it. You can also use it to scroll through the data, jump to another area or jump directly to a marker.

The total data is shown as a transparent box with an outline. When zoomed out, the portion of the data being viewed in the waveform window ("screen" area) is indicated by a rounded rectangle with vertical dividing lines corresponding to the 10 time divisions of the window.

Dragging the screen area of the bird's-eye will scroll the window view.

When the window is zoomed in on a small percentage of the data (usually the case) the waveform screen representation becomes a pointed tag with the point indicating the center of the screen in the total data ("you are here" indicator).

Each of the markers (and its complement if split) are also shown with color-coordinated lines. If the currently selected marker has been Split, the area between the marker and its complement is indicated with slanted slash marks in the color of the marker (see Using Markers).

You can click on the Bird's-Eye scrollbar to jump to any position in the data. If you hold the Control Key while clicking near one of the markers, the waveform will "snap" to that marker's position. However, since the amount of time captured is so large compared to the available pixels on a monitor, you may not notice when several markers are represented by the same pixel. When several markers are represented by the same pixel the first represented marker will be chosen.


Marquee Zoom

You can use your mouse to marquee an area of data to zoom in on. Left-Click and drag to marquee a section. When you release the mouse button, the enclosed area will pan to the center of the screen and them zoom in as much as possible while keeping the entire area on the screen.

While holding the mouse button down to marquee, the area to zoom will darken. To cancel the marquee simply drag back towards the starting point until the darkened area disappears and release the mouse or drag completely away from the waveform area and release the mouse.

Zoom History

navigate If you accidentally marquee, Left-Click on the "Previous/Next View" button to return to the previous zoom level and position. Hold the mouse button down to repeat the action and go to earlier zoom levels and positions. If you go too far, Right-Click on the button to go forward through the view history (hold to repeat).


Using Markers

Six main markers (M1 - M6) are provided and each of these markers can be split to form a marker pair (Main Marker + Complement), making a total of 12 markers available for measurement, bookmarking and other purposes. Complement markers are always displayed in the reverse color of their main marker and may also display a lower case 'c' after the marker number.

The benefits from using DigiView's markers start to become obvious when seeing the variety of available uses:

▪ Measure time from an edge of a signal.
▪ Measure time from the Trigger Point (also see Marker Time/Delta).
▪ Measure time from its complement marker or from any other marker (also see Marker Time/Delta).
▪ Bookmark specific spots in the capture and jump to those spots with a single click or keystroke (see Quick Select Flags, Key Functions), .
▪ Bookmark a time span in the capture to quickly scroll and zoom that period into view with a Double-Click or keystroke (see Marker Time/Delta, Key Functions).
▪ Snap to the Previous or Next change in a signal and scroll that point to the Center of the screen (@).
▪ View the value of multiple signals at the marker's time in the Marker Column.
▪ Scroll a waveform vertically into view when activating its assigned marker.
▪ Mark a time span for exporting (see Exporting).
▪ Automatically scroll to and mark the result of a Pattern Search function or a specific stage of a Sequential Search function (also see Auto Search Windows).

The most convenient access to markers and their options is the Quick Select Flags in Waveform Views. Perform single-click jumping, placement by dragging, splitting, clearing and activate marker menus from these flags.

Markers are global to the application, so any changes will be reflected throughout the program. The only exception to this rule is the marker that is currently active in a particular Waveform View. Each Waveform View maintains its own status of which marker is the local "active marker". Each signal's value that corresponds to the active marker's position in a Waveform View is displayed in the marker column.

The Active Marker

The Active Marker is the marker currently being used or selected. Dragging a marker, jumping to a marker, changing its options or performing a search will automatically set the marker involved as the Active Marker.

Items affected in Waveform Views when a marker becomes the Active Marker:

▪ Quick Select marker flag highlights.
▪ Marker Flag highlights and is brought in front of other flags.
▪ The Marker Column reflects each signal's value at the Active Marker's time.
▪ The time displayed at the top of the Marker Column is the time from the Active Marker to the Center Time of the Waveform View (@).
▪ The time displayed at the top of the Marker Column is highlighted using the color of the Active Marker.
▪ The Snap Marker buttons at the top of the Snap Signal Column changes to the same color as the Active Marker.
▪ A right or left click on the Snap Marker buttons will snap the active marker to a signal edge if the marker is assigned to a signal.
▪ The static measurements will display for the active marker in full color and on top of any other visible marker measurements.
▪ When the Active Marker is moved or snapped to an edge it will display the time from its last position to its new position. If split, it will display the time from the position of its complement instead.
▪ If "Scroll-n-View" is enabled and the Active Marker is assigned to a signal, the assigned signal's waveform will scroll into view if not already visible.

The Quick Select Flags

The Quick Select flags are located in the upper left corner of all Waveform Views. From these flags you can jump to a marker's position with a single click, place a marker, split a marker to create a tethered pair (creates the "complement"), clear a marker and open the marker menus.

These flags use the same colors as those defined for markers in the Color Theme. The active one is always highlighted as displayed for Marker number one above (referenced as 1 or M1).

Dragging from these flags will bring the marker to the current screen position and make it visible if necessary.

Clicking on one of these flags will automatically scroll the waveform view to the markers position and center it in the waveform window. This can also be referred to as "Jump to Marker".

The last flag (after the flag for M6) is a Global Flag that affects all markers. A Left-Click on this flag will clear all markers including marker complements. A Right-Click will open the Global Marker menu.

Quick Select Mouse and Key Functions

▪ Left-Click - Scroll the position of the marker to the Center of the screen (@).
▪ Click-n-Drag - Activates and brings the marker to the mouse when the drag begins. Position the marker for placement before releasing the mouse.
▪ Right-Click - Opens the Menu for this marker.
▪ Control Key + Click - Scrolls to the position of the main marker's complement. If not already split, the marker will be split and the complement placed at the Center of the screen.
▪ Control Key + Click-n-Drag - Activates and brings the marker's complement to the mouse when the drag begins. Position the complement marker then release the mouse when ready. If the main marker was not already split into the main/complement pair, it will automatically split so the complement can be brought to the mouse position when the drag begins.
▪ Control Key + Right-Click - Opens the Menu for this marker's complement. If not already split, the marker will be split and the complement placed at the Center of the screen before the menu opens.
▪ Mouse Move - When the mouse moves over a flag, the associated marker's flags will highlight and display on top of other marker flags.
▪ Control Key + Mouse Move - Activates the associated marker as the "Active" marker, but does not scroll to its position. The marker's flags will highlight and display on top of other marker flags.

Marker Quick Menu

quick marker menu quick marker menu2

Activate a marker's menu by a Right-Click on the Marker Flag. You can also use the Quick Select flags to activate this menu, but to access the menu of a marker's complement from the Quick Select flags, use Control-Key + Right-Click. The menu for M2 and the menu for it's complement are displayed above.

▪ Clear - Disables and removes the marker from view. If split, the complement is also cleared.
▪ Scroll to @ on Snap - Toggles the marker "tack" or "sticky" state. When enabled, the marker will always bring the point of placement to the center of the screen (@). This will occur whenever the marker is placed on a signal, dropped in the Division tick area or snapped to a signal's edge.
▪ Split - When enabled, the marker is split into a pair of tethered markers. We refer to the original marker as the Main Marker and the newly created marker as its Complement. When split, the static measurement for the marker will measure the time between the marker and it's complement instead of tracking it's last position. Quick select flags will have two "dots" above the marker number to indicate the split. The complement marker is always displayed in the inverted colors of it's main marker and has a lower case 'c' appended to its designator in many cases. Disable this option to clear the complement.
▪ Lock with Complement / Main Marker - This option is available after splitting a marker. Enable this option to lock the distance between a main marker and it's complement. Dragging, snapping or placing either marker will also move the other but the distance and order will remain the same. When locked, the Quick Select flags will connect the two dots above the marker number to indicate the pair is locked. Disable this option to unlock the pair and allow each to move independently.
▪ Goto Complement / Main Marker - This option is available after splitting a marker. Click this option to jump to the position of the other marker in the pair. If you opened the menu for the complement, you will jump to the location of the main marker.
▪ Zoom to Split Pair - This option is available after splitting a marker. Click on this option to bring both markers into view. First, the Waveform View will Zoom to a resolution that fits the time span of the marker pair, then it will scroll that time span to the center of the window (@). If the Center indicator (@) is not centered, drag it to the center to see both markers.

Global Marker Menu

The Global Marker Menu affects all markers. The first two items are global settings that involve markers and the remaining items change the settings of the actual markers.

▪ Enable Scroll-n-View - Enable this feature to have a waveform scroll into view whenever you activate the marker last assigned to it. This can be beneficial if you are analyzing multiple waveforms that can not be viewed in the screen area at the same time and do not want to manually scroll each into view as you jump back and forth between them. If you are using the markers to jump to multiple time points, when you click on the marker the position will horizontally scroll to the marker and the waveform will vertically scroll to display the signal's waveform.
▪ Show Static Measurements - When enabled, marker measurements are always visible on the screen based on Environment options. Disable this option to temporarily hide these measurements (see Environment Settings).
▪ Clear All - Click on this item to clear all markers including their complement. When cleared, the markers are no longer visible and each marker's options are reset.
▪ Set Scroll to @ on Snap - This will enable the "Sticky" function of all enabled markers. This can also be set independently for each marker by using the Marker Quick Menu.
▪ Clear Scroll to @ on Snap - Clears this setting for all enabled markers. This can also be set independently for each marker by using the Marker Quick Menu.

The remaining items are visible depending on the current settings of all enabled markers.

▪ Clear Compliments - If any enabled marker is split into the Main/Complement pair, the complement will be removed. This can also be done for specific markers by using its Quick Menu.
▪ Lock All Split Pairs - This will lock the distance between the Main/Complement pair of any split marker. This can also be done for specific markers by using its Quick Menu.
▪ Unlock All Split Pairs - This will unlock the distance between the Main/Complement pair of any split marker so that each half can move independently. This can also be done for specific markers by using its Quick Menu.

Drag to Place

Simply click on a marker and drag it to the area of interest. You can grab the marker itself (the vertical line in the waveform area) or its 'flag'. When your mouse is in the capture zone for a marker, the cursor changes to indicate that it is over a marker. The cursor also indicates which marker will be selected, making it easier to grab a specific marker when they are very close together (or even on top of each other). If the marker is off-screen or not visible, use the Quick Select flags to grab the marker and place it.

Auto Snap

'Snapping' the markers to signal edges makes it easy to measure the time between them or to bring a specific edge to the center of the window. This operation is used so often that we optimized it by making it an automatic function. When you are dragging a marker and your mouse is over a waveform, the cursor changes to a 'snap-left' or 'snap-right' arrow. The direction of the arrow shows you which edge (previous or next) of this waveform the marker will 'snap' to if you were to drop it at that point. The arrow will point to the nearest edge or to the nearest edge in the direction of mouse movement, even if that edge is off-screen.

The time from the marker's last position is measured to the proposed drop point even if one or both points are off screen. In the graphic above, the marker's last position was off screen. Using the Quick Select flags we performed a marker drag on M3 and are moving it to the left over signal "CODE: Clock Channel". The snap indicator is drawn around the previous signal edge since we are moving to the left.

The Marker column changes to the marker's color indicating the marker is now assigned to that signal.

After releasing the mouse button, the marker snaps to the proposed edge and the time between the marker's current position and the center Time Reference point (@) is displayed in the upper left corner using the marker's color. Below, we see this measurement to be 900ns. We also see the measurement from the marker's last position to its current position just above the signal's waveform. Below, we see that measurement as 3.52 us.

If you DO NOT want to SNAP, but rather wish to drop the marker exactly at the mouse position, you can either hold down the Control key or move your mouse above or below all waveforms before releasing the mouse button.

Snap and Measure

'Snapping' markers to signal edges makes it easy to measure time between them or to bring a specific edge to the center of the window (when "Scroll to @ on Snap" is enabled). When a marker is assigned to a signal, the marker column uses the same color as the marker. To snap to the previous or next edge, use the left or right mouse button respectively. In the graphic below we Right-Clicked in the marker column, causing the marker to snap to the next edge of the signal and measure the time from its last position (also see: Snap and Value columns ).

To assign the marker to another signal, Left-Click in the marker column of another signal. The first click assigns the marker. Any additional clicks will perform snap operations. If you drag a marker over a signal it automatically becomes the assigned signal.

Split Marker

All main markers (M1 - M6) can be split form a tethered marker pair (a Main Marker and its Complement). To split a marker, Right-Click on the marker's flag and select "Split".

When splitting a marker, its complement is placed at the Center Time reference (@) and the Complement marker is activated as the "Active Marker", meaning all indicators that reference the active marker will now display in reverse colors since complements use the inverted color of their main marker. If we select the main marker all indicates will return to the main marker's colors. The time measurement now reflects the time between the pair.

If you look closely at the Quick Select flag for M3 you will see two small dots above it. This indicates the marker is split and each half can move independently.

To lock the pair, move the markers to the desired position, Right-Click on the marker's flag and select the "Lock" item. The selection text will be "Lock with Complement" if you clicked on the main marker's flag, but will be "Lock with Main Marker" if you clicked on the Complement's flag.

After selecting lock, the marker pair will always move together no matter which of the pair is the active marker. This includes dragging, snapping and placement by other means such as a search result (see Searches). The two dots above the Quick Select flag will be connected to indicate the split pair is locked.

The graphic below shows how the distance between the two markers remains the same even after we snap the main marker several edges to the right. You can use this technique to readily compare a time span of multiple points in the captured data without having to mark or remember the precise period of each.

If you look closely at the Quick Select flag for M3 you will see a ^ symbol above it. This indicates the marker pair is locked and will move together.


Key Functions

The HOT-KEYs are not expected to replace a mouse, but rather, supplement it. When analyzing lots of data, it can be useful to use the keyboard for say, ZOOMING and SCROLLING while using the mouse to drag a marker or as a snap modifier before dropping a marker.

Hot Keys, Number Keys and Navigation Keys

Click on the Key Help button to display a summary of the key functions available in the waveform views.

waveview key functions1

waveview key functions2

waveview key functions3


Measurements

A wide range of measurement features are available from automatic instant measurements to user selected dynamic measurements. Dynamic measurements update based on which waveform the mouse moves over and changes its time span when a Quick measurement is being performed.

Each section below covers a unique method of calculating and displaying measurements to assist your analysis of the captured data. The Marker Delta window has the added benefit of Zooming and Scrolling a measured pair of markers into view when Double-Clicked.

Measurement Features

▪ Instant Measurements
▪ Quick Measurements
▪ Dynamic Measurement Window
▪ Marker Delta Measurement Window


Instant Measurements

While moving the mouse over any waveform a measurement is displayed directly above it (see Environment Settings: Waveform Views ). The type of measurement is dependent upon the signal type and the mouse position in the waveform. Vertical lines and arrows are displayed to indicate which edges are being measured. The measurements are calculated even if the beginning and ending points of the measured item are off-screen.

b-toggleinstant Use this toolbar button to toggle Instant Measurements On/Off in a waveform view.

Boolean Example

Mouse is between two edges so instant measurements calculates the time period between those edges. In the graphic below, the Period between the edges is 1.692 microseconds.

When the Mouse is on an edge, instant measurements uses the previous and next edge to calculate the duty between the edge under the mouse and the previous one. If this is a low period then Low Duty is represented, otherwise High Duty will be represented. In the graphic below, the Low Duty is 51.30%.

It also calculates the Period and Frequency from the previous edge to the next one as depicted by the arrows. In the graphic below, the Period is 3.3 microseconds and the Frequency is 303.030 KHz.

Example for Signals with Field and Frame data

When the mouse is within the edges of a Field, the time period of the Field is calculated. In the graphic below, the Period for the Field under the mouse is 23.1 microseconds.

When the Mouse is on the edge of a field, instant measurements calculates the Period and Field Count of the Frame the Field belongs to. In the graphic below, the Period for the entire Frame is 83.784 microseconds and the Frame contains 4 Fields. The period and count are calculated even though the frame begins or ends off-screen.

Example for Signals with Plot Enabled

When a signal is in plotting mode, Instant Measurements will function on the Plot data and display the value of the plot at the mouse point. If multiple plots are enabled for the signal, Instant Measurements will function on the selected plot. Pressing the Space Bar will toggle the plot selection without having to move the mouse.

In the first graphic below, the bottom plot is being measured. This is identified by its plot handle being highlighted in the plot's color. The Signal Snap arrows in the next column are also the same color as the plot and the marker column displays the selected plot's identifier. These items will change to identify the active plot.

In this case we used "Left_Channel" and "Right_Channel" to identify the two enabled plots for the Audio signal. After pressing the space bar once, the second plot becomes active and instant measurements will track its values as displayed in the second graphic ("Right_Channel" plot is active).

After pressing the space bar, the other plot value is displayed while moving the mouse.

A dotted Vertical line is always drawn at the mouse point and a small square surrounds the point where this intersects with plotted data. The value at this intersection is displayed in the Instant Measurement.


Quick Measurements

With Quick Measurements you can instantly perform multiple measurements in a waveform by using the Middle Mouse Button. Click the middle button and move the mouse to display measurements from any position (including over markers) to another position. These measurements are unique to the signal type and whether the Signal Definition has plotting enabled. You can also measure the period between two edges across multiple signals.

A simple period measurement is always displayed above the waveform between the two points while performing the Quick Measurement. However, additional measurements will appear in a floating window that hovers near the mouse. To dismiss the Quick Measurement, simply click again using any mouse button or use the ESC Key.

Note: While performing a Quick Measurement, any Dynamic Measurement windows in the same link group will use the period measured as the time span.

Note: Using the Control Key will override Signal Edge Snapping while measuring. (also see Environment Settings: Waveform Views )

Measure across multiple signals

Quick Measurements will snap to a transition edge (when near) and remember the Signal of the starting and ending measurement point. The measurement is always displayed for the signal currently under the mouse. However, if the starting signal is different than the ending signal, an additional arrow is displayed in the starting signal at the starting point.

In the graphic above, we are measuring the time between the falling edge of ALE and the falling edge of OE. We started the Quick Measurement on ALE so an additional arrow is displayed on the edge we started with. Any measurements displayed in the floating window will be measured from the signal currently under the mouse (OE in the graphic above).

Boolean Example

Example for Signals with Field and Frame data

Example for Signals with Plot Enabled

When a signal is in plotting mode, Quick Measurements will calculate using the Plot data between the two mouse points. If multiple plots are enabled for the signal, Quick Measurements will function on the selected plot. Pressing the Space Bar will toggle the plot selection and refresh the measurements without having to move the mouse.


Dynamic Measurement Window

Dynamic Measurement Windows offer a variety of measurements that can be selected for each type of Signal group. As the mouse moves over the waveform of a signal, the selected measurements for that signal type will recalculate and display in the window.

feature window button

To open a new Dynamic Measurement Window, use the Open Feature Window button (highlighted above) and select "Measurements" from the menu. Dynamic Measurement windows can be docked, tabbed with other dockable windows or placed on any monitor (see Window Arrangement). The images below are examples of how the measurements change based on the signal group (Boolean, Bus, Decoder/Parsed, Plot).

Signal:

The name of the signal being measured.

Group:

The measurement group compatible with the signal. The selected measurements of this group will be calculated and displayed in the window. If the signal has plotting enabled, the Plot group of measurements are displayed for the currently active plot. The Plot Series number (S1, S2, S3, S4) will be prepended to the value as a reminder of which Plot Series is active for the signal.

Span:

This indicates which Time Span is being used for calculations; Waveform Window or Quick Measurement. By default, the time span of the waveform window that is responding to mouse movements is used. However, while performing a Quick Measurement, this will automatically change to use the Quick Measurement's time span (and recalculate the measurements accordingly). When the Quick Measurement is no longer active (middle mouse button is released) the time span reverts back to the Waveform Window's time span.

Locking the Span & Signal:

After moving the mouse over a signal you can Lock the Dynamic measurement and jump to specific measurement items such as the Lowest Value, or Longest Duration. Any measurement with this feature will have an outline indicating it is a clickable line item that will scroll any linked windows to the location of the result. You may not see any clickable line items or you may see several depending on the signal type and the selected measurements.

In order to use the mouse to Click on one of these items, you must first "Lock" the measurements from the Waveform View your mouse is over. Simply use the Control+L Key or Right-Click and select "Lock/Unlock Dynamic Measurements" from the menu.

As seen above, the lock indicator will change for any Dynamic Measurement windows in the same link Group. You can also unlock the window by clicking on the indicator.

Jump to Measurement Result:

Click on any measurement item with an outline to go to the location of the result. The outline indicates it is a clickable line item that will scroll any window in the same link group to the location of the measurement. When you mouse over these items, the location is displayed in a popup hint (as seen in the image below). Note: The window should be locked before clicking on any item to prevent the contents from changing. If left unlocked, the measured items will update while scrolling to the location clicked (see Locking the Span & Signal above).

In the image above, clicking on the item under the mouse will scroll any waveform or tabular view in Link Group 1 to the time indicated in the hint ( -8.89428 ms, also see Link Groups)

Selecting Measurements

Compatible measurements for each signal type are divided into individual selectable groups. You can choose whatever measurements you want to display for that type. Selection is optional, so do not select any if you you do not need a measurement for a particular signal type. The Dynamic Measurement window will only display the measurements you select and those will only display when the mouse is over a compatible signal type.

measurement selection button

Left-Click in the window or Click on the Select Measurements button (highlighted in blue above) in the toolbar to open the Dynamic Measurement Selections window.

Boolean Measurements

dynamic bool slelect

Bus Measurements

dynamic bus slelect

Decoder/Parsed Measurements

dynamic parsed select

Active Plot Measurements

dynamic plot select

Select or Clear All

The Select All and Clear All buttons will select or clear all items for the current measurement group. For example, if you are editing the selections for the Boolean group, pressing "Clear All" will not clear selections in the other groups.

Toggle Selection

A "selected" pointer will be displayed on the left of any selected item. Click on any item to toggle its selection state. If the item is already selected, a click will clear it.


Marker Time/Delta

feature window button

To open a new Marker Time/Delta Window, use the Open Feature Window button (highlighted above) and select "Marker Time/Delta" from the menu. Marker Time/Delta windows can be docked, tabbed with other dockable windows or placed on any monitor (see Window Arrangement).

Select from pairs of markers or from markers and the Trigger point to track the time delta between the selected items.

NOTE: Double-Click on a selected pair to scroll and zoom both into view.

Selection is not limited to adjacent pairs. Any combination of markers and/or the Trigger Point can be selected.

The time between a pair of selected items is displayed to their right.

Tool Bar Buttons

Menu

mrkdelta menu button

Select the Menu button (highlighted above) to access Window options.

Menu Add New Time Item

mrkdelta add button

Select the Add New Time Item button (highlighted above) or the Add Marker Time/Delta menu item to open the Choose Marker Pair selector.

Click on one item in each column to add a marker pair to the Marker Time/Delta window. As soon as the second item is clicked, the pair is added. When selecting, all duplicates are prevented and will not be added to the window. For example, adding M4 to M5 is the same as adding M5 to M4 so only the first set will be seen in the window. Invalid selections such as a duplicate pair or selecting the same marker in each column are cleared. When you have finished selecting pairs, press the Escape Key or click the red close button in the upper right corner of the selector (X).

Delete the selected Item

mrkdelta delete button

To Delete an item from the list, first select it by using a single Left-Click. After an item is selected, use the Delete button (highlighted above) or the "Delete Selected" menu item to remove it. Selected items are surrounded by a dotted rectangle similar to the last item in the top graphic or Marker 4 in the above graphic. To Delete all items, use the "Delete All" menu item.

Link Group indicator and selector

mrkdelta link button

The last item on the tool bar is the Link Group assignment. Any actions performed in the window that affects the time or position of other windows will be performed only on those windows that belong to the same group. Click on the indicator to change the group assignment.

Zoom and Scroll

Double-Click on an item in the list or use the "Jump to Marker Pair" menu item to Zoom and Scroll the pair of markers into view. The focused Waveform Window in the same Link Group will update to a zoom level where both markers are in view and centered on the "@" symbol. Any other windows in the same group will synchronize their center time to match.


Table View Windows

Table views present the data as a list of numbers (tabular form). Table windows can be created by using the Feature Window button on the Top Toolbar, or by using the Main Menu (Menu-> Window-> New-> Table View). Table creation selections in the Main Menu and Feature Window lists are only available after creating a Signal Definition.

Any signal type can be displayed in Tables. However, decoded signals will be displayed in their raw channel values. To see the decoded values of these signals in a tabular view see Tabular Views.

feature window button

To create a new Table Window, select the Open Feature Window button (highlighted above) from the main toolbar, then select the name of a defined signal from the Table menu item. Only the Signal Definitions you create for the project will be listed on the Tabular View.

feature window menu table

feature window menu tabular bool

table

▪ Multiple tables can be created and viewed simultaneously.
▪ Multiple signals can be viewed with each signal in a separate column.
▪ Multi-Channel Signals can be "expanded" to multiple columns.
▪ Expand order of Multi-channel signals can be reversed.
▪ Signal column order can be re-arranged by dragging.
▪ Bus Signals can be formatted as Binary, HEX or Decimal.
▪ Time Display can be set to Auto, ns, us, ms, sec, min, hrs, days or weeks.
▪ Time Format can be set to Delta or Absolute.
▪ Time Column can be hidden.
▪ Set, Clear or Jump to markers. (see Using Markers)
▪ Assign Time Synchronized Link Group. (see: Using Link Groups)
▪ Select which Signals to view in each Table.
▪ Edit Signal Properties. (see: Signal Editors)
▪ Print current Table View or Save as JPEG. (see: Printing)
▪ Export data using Table's settings. (see: Exporting Tables)

While most manufacturers provide table views, they generally are not too useful for anything other than STATE mode signals. Most logic analyzer demos will show data changing on every sample, making the table view look interesting in timing mode. However, in real usage, most signals do not change at anywhere near the sample rate, causing the table to show a small sample of stable data. You might have to scroll several screens before seeing the signal transition. We have added several enhancements to the basic table view to make them truly beneficial in real-world usage.

Compressed View

This mode compresses out the 'dead-time' between transitions, packing a lot more information into a screen of table data. Each line of data in the table contains the timestamp and the data. The time between lines varies and corresponds to the length of time the previous sample was stable. In this mode, a 40 line table contains 40 transitions. In linear (non-compressed) mode, it would contain 40 SAMPLES with perhaps NO transitions. If multiple signals are added to the table, the compression algorithm takes ALL signals in to account. A new line is shown any time ANY of the signals change state. Nothing is lost or thrown away. We simply compress out the redundant information, making the table hold more significant data. You can switch between compressed and linear views with a single click at any time.

Although compressed mode is the most efficient way to display a signal in tabular form, some people have trouble visualizing the non-linear, compressed time. You can Link a compressed table with other non-compressed tables or with waveform displays to correlate the data to a linear view. This allows BOTH an efficient table view and a linear 'in-context' view.

The included '8051.dvdat' example demonstrates this well. The OE signal in that example is spread across about 1.4 Million samples but can be displayed in less than 20 table lines when compression is enabled. When this table is linked to a waveform view, scrolling through this small table quickly scrolls the waveform to each significant event in the OE signal. This is a real-world example captured from a real embedded system.

Delta vs. Linear time

Regardless of the display mode( normal, compressed or down-sampled), you can display the time field in absolute or delta time. Absolute is the actual timestamp of the sample (relative to trigger). DELTA mode shows the time between table lines. This is most useful in compressed mode where it tells you the time between transitions. In normal and down-sampled modes, it simply tells you the sample rate( since the time between each line is constant).

Table Menu popmenubutton

The table's menu offers several useful functions such as navigating to a reference point, adding additional signals, configuring the time and so forth. Example of this menu is displayed below.

Table General Menu:

Signal Menu

Each signal in the table has its own menu options. To activate the menu for a specific signal from within the table, right-click in the signals' column. Example of this menu is displayed below.

Table Signal Menu:

tablesigmenu


Tabular Views

Tabular views (also called List Views or Decoded List) present the decoded data of signals in a column form. Tabular views can be created after defining any signal.

Tabular Views can be created by using the Feature Window button on the Top Toolbar, by using the local menu of a signal in Waveform Views or by using the Main Menu (Menu-> Window-> New-> Tabular View). Selections in the Main Menu and Feature Window lists are only available after creating a Signal Definition.

All signals, from Boolean and Bus to Protocol decoding or any Plug-in signal can be displayed in the List window. However, to see only the raw channel data of a Decoded signal in tabular format without any decoding, use a Table view instead. (see: Table Views)

feature window button

To create a new Tabular View, select the Open Feature Window button (highlighted above) from the main toolbar, then select the signal name from the Tabular View menu item. If you select a Boolean or Bus signal, a Table View will be created instead. Only the Signal Definitions you create for the project will be listed on the Tabular View.

feature window menu tabular

feature window menu tabular signals

▪ Multiple lists can be created and viewed simultaneously.
▪ Time Display can be set to Auto, ns, us, ms, sec, min, hrs, days or weeks.
▪ Time Format can be set to Delta or Absolute.
▪ Time Column can be hidden.
▪ Set, Clear or Jump to markers. (see Markers)
▪ Assign Time Synchronized Link Group. (see: Using Link Groups)
▪ Select which Signal to view in each List.
▪ Edit Signal Properties. (see: Signal Editors)
▪ Print current Tabular View or Save as JPEG. (see: Printing)
▪ Export data using view's settings. (see: Exporting Lists)
▪ The Radix can be set to Binary, Decimal, Hex, Octal or ASCII.
▪ Field widths can be set for "Auto Size" (width is content based) or manually sized with a zoom button (equal width for all fields).
▪ Selecting a field in a List will scroll all windows of the same Link Group to the field's start time and vise-versa (as shown above, the selected field is the darkened "35" in the center row.
▪ Navigate and scroll using the Cursor Keys and Mouse Wheel.

Tabular Views have several options to change what data to display and how the data is displayed. These options are accessible from the top bar in the window and can be used in combination. Some examples of the display options are shown below using an I2C signal.

Time Column:

Time Column, Name:

Time Column, Name, Frames:

Frames:

Menu:


Using Link Groups

Link groups provide Synchronous Scrolling of a group of windows that display data. When several windows are part of the same Link Group, each window will automatically update and scroll when any member of the group changes its center time. The time reference and displayed data of each member will "center" on the time the changing member centers on. This feature keeps a group of windows synchronized to the same time in the captured data.

DigiView provides five link options that include Link Groups 1 through 4 and a "no-link" option for windows that you want to keep independent.

Default link groups:

Link Group 1 - Waveform View 1 is always a member and all new windows initially belong to this group.

Link Group 2 - Waveform View 2 is always a member of Link Group 2.

Link Group 3 - Empty Group, ready for members.

Link Group 4 - Empty Group, ready for members.

The link group of any window that displays data (such as Tables and Tabular Views), can be changed at any time. To change the group in these windows Click on the Link Group Indicator on the window's toolbar or select Link from its menu (Menu-> Window-> Link). Link options are displayed in the following graphic.

All windows or views that are assigned to a link group will have a visible indicator with the group number or an " * " (asterisk) displayed. The Primary and Secondary Waveform Views are permanently assigned to groups 1 and 2 respectively. All other windows can be assigned to any of the 4 link groups or set to be independent of link groups (*). A small arrow is displayed in the lower right corner of the link group indicator if the group assignment can be modified.

Link Group indicator:

NOTE: When Waveform View 1 is "cross-linked" to Waveform View 2, all members of Link Groups 1 and 2 will also be cross-linked. Waveform Views are cross-linked by using the Link button on the Top Tool Bar. (see Top Tool Bar)


Searches

When analyzing the captured data, the ability to search forward and backward for specific pattern matches or packet values is indispensable. DigiView provides a general search type for pattern matches, a Sequential Frame and Sequential Field search for decoded/parsed/plug-in signals and a Search Manager to quickly perform multiple searches and change criteria.

DigiView also provides a Capture History Search feature that utilizes any defined search to iterate through the entire history and load the capture that meets the match critera.

The following sections provide details of DigiView's searching capabilities.

▪ Defining Searches
▪ DigiView's Search Types
▪ Performing a Search
▪ Using the Search Manager
▪ Auto Search Windows
▪ Searching Capture History


Define Searches

New searches are defined by opening the Search Manager window and clicking on the "New" button or using the main menu (Menu-> Search-> New Search) then selecting the signal to search from the selection list. Depending on the type of signal selected, a Pattern Search or Sequential Search will be created and its editor window will automatically open. For example, if you have selected a signal of type "I2C", then the Sequential search type will be created. (For details on each search types, see: Search Types).

After a search is created it will be available in the Search Manager and all search selection windows, including selection for Auto Search windows and searching the Capture History files.

All search types (and therefore all search editors) have the following common properties.

Search Name - Description

Use the Name field to describe the search. This descriptor will be displayed in the Search Manager Window and any search selection box.

From - Where to begin Searching

The 'search from' selection determines where the search starts from; the current center of screen or the current marker location. Since the marker is placed at the center of the screen after the first search match, these are often the same during consecutive searches. The main difference occurs during the first search or between searches if you scroll the screen.

Set Marker - Mark the match point

The marker selection determines which marker is used to show the search match. You must select one. Whenever the search matches, the selected marker is placed at the match point and then centered in the searched window.

Delete Button - Deletes this search

Use the Delete button to dispose of the search and remove it from all search managers.

Close Button - Closes this search editor window

Use the Close button when you are finished making changes and want to close the editor for this search.

Search Button - Performs this search

Use the Search button to test the settings you have just entered for this search. Right-Click to search forward from the current time of the marker. Left-Click to search backward from the current time of the marker. When you are satisfied with the search settings, you can close the search and use any search button in the application to continue searching. (see: Searching)


Search Types

Searches are defined in terms of Signals matching specific criteria. Depending on the search type, one or more signals are selected and a match pattern, match value or other conditions are defined for each. All Boolean and Bus signals use the Pattern Search type and all other signals (including those derived from Plug-ins), use the Sequential Search type.

Sequential searches allow a sequence of match conditions consisting of fields within frames among a sequence of frames. Each field match can have a specific value or a "don't care" (Any) value, and a specific skip count or a skip count of "Any". With the sequential search a very long sequence, consisting of multiple wildcards (any Field, any Frame, any Field Value) and specific frame or field skip counts and specific Fields and Field values, can be defined to locate the proverbial "needle" in a very long "hay stack". Sequential searches also have the option of placing the match marker at a specific point in the match sequence.

Pattern searches match a pattern across multiple signals at a single point of time in the capture.

When ALL specified signals and conditions match the search criteria, the time of the match condition (or Match Point) will be centered in the window that has "focus". Any other windows that are a member of the same Link Group, will also center on the match point. (see: Searching, Link Groups)

Details of each search type are explained in the following sections.

▪ Sequential Searches
▪ Pattern Searches


Sequential Searches

The Sequential search type is used by all Plug-ins or Parsed (decoded) signal types. This includes all signals except Boolean and Bus signals (see: Define Searches ).

This search type has a group of search terms (or criteria) that is specific to the chosen signal type, and can perform a search sequence by adding additional terms. Terms can be added by using the Copy or More buttons.

By changing the Mode (Field or Frame) to Fields, you can target the search to sequentially match while ignoring frame boundaries. To look for a sequence of multiple frames, each having their own field sequence match, select the Frame mode. If frame information is not present in the data, the Mode will be limited to Field sequences.

Field Mode

The number of Field terms is unlimited and each term is labeled using ASCII characters. In the image above, three field terms are visible (a., b., c. ). Using term 'a.' as an example, each option is explained below.

Push Pin button - This identifies which point in the sequence will be marked as the match time in the search results. When selected, the 'Push Pin' will appear blue, indicating the search marker will be placed at the beginning of this specific match term. When de-selected, it will appear white, meaning another term in the sequence has been selected for the marker position. The first term in the sequence will be selected automatically if none are selected.

Skip and Skip Count - Skip options are "Any number of fields" or "Specified number of fields". When set to "Any number of Fields", the search will ignore the skip count and continue searching for the next field that matches the criteria. The search will continue to the end of the captured data if necessary before reporting a 'no match'. However, when set to "Specified number of Fields", the search will only ignore (and skip) the number of fields specified in the skip count editor before looking for the next match. If the next term after the skip count does not match, then the search reports a 'no match'. Setting the skip count to a value of "0" instructs the search to analyze the very next field in sequence (Do Not Skip).

Field - Some Signal types will have many field identifiers that can be used for targeted searching. The Field selection can be used to choose the specific field type to search. If the field to consider for the match is not the type specified, then the result is a 'no match', even if the value for the field matches the specified value. The field selection options for the built-in Async Signal type are shown below.

Value to Match - Depending on the specific field type, 1 or more values can be specified for the match. Some fields do not have any additional values, so the search is a 'match' if the specified field is found (i.e. Parity Error above). Other fields may have several values within the field. Each value is referenced in the value editors with a preceding "%". As shown above, the 'DATA' field has 1 value, identified by "%1". Below is an example of the editor for the DATA field.

The value to search for can be specified in Decimal, HEX, Binary or ASCII format as demonstrated below.

Decimal - 77

HEX - 0x4D

Binary - b1001101

ASCII - 'M'

An example of a Field with more than 1 value (from the SPI signal type):

Buttons - The three buttons on the bottom left of a field term are for deleting the current term (-), adding a new term below the current one (+) or creating and adding a duplicate of the current term (Copy).

Frame Mode

Frame mode uses the same logic as field mode but adds an additional layer of grouping if frame information is present in the data. The number of frame terms is not limited and each frame is labeled numerically, starting with "1".

Skip and Skip Count - The Skip and Skip Count parameters apply to Frames (a group of fields) instead of fields. The Field match sequence within each frame is limited to the fields bounded by framing data of the signal type. We do not limit the number of Field terms or skips within a frame. However, If you specify a sequence that involves a a greater number of fields than the number of fields available in the framed data, the search will fail.

Buttons - In frames, the Delete, Add and copy buttons are located at the upper right corner of the frame term and have the same functions as those described for fields, but apply to the frame. If you copy a frame, the new frame will be identical to the one copied, including all field terms and their individual settings.


Pattern Searches

The Pattern search type is used for Boolean or Bus signal types (see: Define Searches, Boolean Signals, Bus Signals).

This search type can be used to find a value of one signal or a pattern of values in multiple signals, that lasts for a specified time period.

You can see in the "Fetch from 094D" search displayed above, that it will search for a pattern consisting of values from three signals (ALE, PSEN, AD14-0) that lasts for a duration of more than 50 nanoseconds. If this condition is found in the captured data, the specified marker will be set to the time when the match occurs. In the above example, this would be 50ns after the matching pattern begins.

Match Duration: Determines whether to skip all packets until a match is found, or to skip the number of packets specified in "Skip Count" and then see if the next packet is a match.

Duration Units The duration qualifiers can be in ns,us,ms or sec and can use REAL numbers (1.23 us).

Signals: Select a signal from this list to "add" them to the search. Signals added to the search are displayed below the signal selection box where the pattern to match can be edited.

Match Pattern Format The match patterns can be specified in decimal, hex or binary. To indicate a HEX specification, precede the number with '0x'. To indicate BINARY, precede the number with 'b'. Binary specifications allow '0','1' and 'X' (don't care) characters. HEX specifications allow HEX digits (0-1,A-F) or 'X' for a nibble of don't care bits. Decimal specifications must use only 0-9.


Searching

Search Button

Left clicking on a search button searches back in time (previous match.) Right clicking on a search button searches forward in time (next match.) See 'Define Searches' for details on creating searches.

Invoking Searches

There are several methods of invoking a search. Each presents a slightly different way of selecting the search and the target window, but they all perform the search in the same manner.

If the search is configured to search 'from center time', then the search starts from the center time of the FOCUSED window (possibly the last match). Otherwise the search starts from the search's marker position (possibly the last match). In either case, the marker is positioned at the location of the search match and then the FOCUSED window is centered on the marker. If the window is part of a link group, then the entire link group is centered as well (see: Link Groups). The center time of the FOCUSED window does not change if the search fails.

Regardless of how the search is invoked, we actually always run the DEFAULT search on the FOCUSED windowed. We simply CHANGE the DEFAULT search or the FOCUSED window before running the search in some cases. This creates a very consistent environment where you can jump from one search button to another without surprises. The last invoked search is always the current DEFAULT search and the window under the mouse is always the currently FOCUSED window.

Local Search

Each Data Table, List and Waveform window has a local search button. When you click on a window's local search button, that window becomes the FOCUSED window and then the search is applied to it as usual (using this newly FOCUSED window).

Search Manger Searches

When you click on a search button in the search manager, the DEFAULT search is changed to that button's search and then the search is performed as usual (using this new DEFAULT search). However, the search will be performed on the Waveform View of the currently focused Link Group. (see: Search Manager)


Search Manager Window

The search manager window shows a list of all defined searches (see: Define Searches). It also provides an easy method of executing or editing any of the searches. This is particularly useful if you need to do a series of searches involving different search types.

To open the search manager, select the Open Search Manager button (highlighted above) from the main toolbar. Only one search manager can be created. If it is already open, it will focus and appear in front of any other windows. The Search manager can be docked anywhere if desired. However, since it always displays a list of already defined searches, it can be closed and opened as needed without losing any data.

searchman

Use the mouse to see details without

having to edit the search

Search - Each entry in the list includes a Search button in the left column. Left-click or Right-click on the Search button to perform that search as described in the 'Searching' section.

Edit Search - Each entry in the list includes an Edit button in the second column. Click on the Edit button to edit the parameters of a defined search.

Set as the Active Search - Click on the search name itself or use either of its buttons in the search manager and the search will automatically become the Active (or Global) search. Any search button in the program will perform the Active search.

New - Click the New button (highlighted above) to select a signal and create a new search.

Copy - When the copy button (highlighted above) is clicked, a new search is created identical to the current search. The new search is added to the Search Manager, renamed by adding a sequential number to the search name, automatically selected as the Global Search and is opened for editing. This is a very convenient feature if you want to add another search with similar criteria while retaining the original search or you need similar criteria for more than one signal.

Delete - Click the Delete button (highlighted above) to delete the selected search.


Auto Search Windows

Auto Searches expand the normal search to a linked list of positions in the captured data that meet the search criteria. Click on any line of the resulting list to scroll the matching data into view. Auto Searches also have the ability to halt the analyzer, determine which captures to preserve and which captures to discard based on the search result.

feature window button

To create a new Auto Search window, select the Open Feature Window button (highlighted above) from the main toolbar, then select Auto Search.

newautosearchselect

Main Auto Search Features

1. Automatically runs selected searches after each capture or capture history load.

2. User settings allow for halting, saving or skip-saving the capture based on match counts.

3. Presents a list of matches and the count.

4. Clicking on a search match will scroll any Waveform View or Tabular view of the same Link Group to the time marked by the search match.

Save, No Save and Halt Options - Click the Options/Settings Button to set the Auto Search Options.

Use Global Save Settings

Select this option to let the default save settings determine when to save the capture. When selected, the Save Qualifier section is disabled. (see Acquisition Options)

Save if Condition is True

Select this option to have the capture saved if the Save Qualifier equates to true. If the Global setting is already set to "Save" then this selection will have no effect. (see Acquisition Options)

Do Not Save if condition is true

Select this option to mark the capture for "Discard" if the Save Qualifier equates to true. If the Global setting is already set to "Do Not Save" then this selection will have no effect. (see Acquisition Options)

Halt Analyzer if Condition is True

Select this option to stop the analyzer from continuing to capture if the Halt Qualifier equates to true.


Capture History Searching

The entire Capture History can be searched forward and backward to find a capture with a search result that matches the halt qualifier specified.

Selected Search

Any search that you have defined for this project will be listed in the search selection drop-down box. Choose the search you want to use from this selection (see Searches,Searching).

Halt Qualifier

Select the Logic (>, <, =, <>, <=, >=) and enter the count for the search to match. Most of the time you may be looking for any file that results in a single match or more and would set the logic to ">=" and the count to "1". However, you may be looking for the "odd" capture that has far fewer or greater matches than the other captures so we have allowed for values up to 32 bits to be specified for the count.

Include Start Position

This option controls whether the search includes the file at the current position or not. Check this option to include the current position when the search begins (forward or backward). This box will be set automatically if the selected search is changed or on any changes to the halt qualifier. This option is automatically cleared when the search of a capture file results in a match, which saves you the trouble of manually clearing it if you re-start the search from the matched position to continue searching for additional captures that match.

Backward

This button starts the search from the current position and proceeds towards the oldest capture until a match is found or the oldest capture has been searched. The file at the current position is only searched when the "include start position" option is selected.

Forward

This button starts the search from the current position and proceeds towards the newest capture position until a match is found or the newest capture has been searched. The file at the current position is only searched when the "include start position" option is selected.

Cancel

This button stops the search.

Close

This button closes the search window. The close button will not be available if a search is in progress. Cancel the search if you want to close the window. When the window closes it will remember your current settings.

When the search is halted or stops automatically, the capture file at the stopped position will be loaded and all windows updated with the new data.

No Matches found or Cancel example:

Match found Example:

See Also:

Capture History


Exporting

The captured data can be exported to a file in ASCII format for further analysis or documenting purposes. DigiView provides three export methods to choose from with each method having a few unique features. These features are documented in the next three sections:

▪ Exporting All Signal Data (Raw)
▪ Exporting From List Windows
▪ Exporting From Table Windows

Properties common to all three export methods are discussed below.

exporttimerange4

exporttimerange4B

Time Range

Select the Starting time and Ending time of the data to export. You can select from several predefined time points (i.e. Data Start, Data End, Trigger, Marker 3, Center Time, etc) or select Custom to manually enter the time.

File

Below the Time Range options, the file name and path for the export file will be displayed. To change the name or location, chose the Destination button (to the right of the filename). You can chose any valid storage device for your system including a Network Drive, Floppy Disk, FLASH Memory, etc.

Estimated Free Disk Space

The available space of the export destination is calculated and displayed here. The available space will be calculated whenever the destination changes. While the export is in progress, this will be updated to keep you informed of remaining space. If the available space becomes too small for the remaining portion of the export, then the export will automatically finish without exporting the rest of the data.

Required Disk Space

The amount of disk space required to hold the exported data will be displayed here. Since all storage devices require a minimum amount of space to hold a file, the minimum file size will be shown if the exported data is smaller. If the export size is very large, the background color of this display will turn to yellow. If the export size exceeds the available space on the storage device, the background color will turn to red. Even though the estimated size is larger than available space, you can still perform the export which will automatically halt when disk space becomes critical. The export size will be calculated whenever any option or the destination changes.

Progress indicator

The lower left portion of the Export dialog will display the progress of the export. The progress display will indicate the number of bytes already exported, the percentage of the data already exported and the number of bytes per second being written to the storage device.

Stop Button

The export can be canceled at any time by selecting the Stop button. All data exported up to the point of cancellation will be available in the exported file.

Export Button

After selecting the desired export options, choose this button to begin the export. This button will be disabled while an export is in progress.

Export+ Button

After selecting the desired export options, choose this button to export all Capture History files from the current capture to the most recent capture. When exporting is completed, the current capture is reloaded. This button will be disabled while an export is in progress.

Export++ Button

After selecting the desired export options, choose this button to export the entire Capture History. When exporting is completed, the current capture is reloaded. This button will be disabled while an export is in progress.

Close Button

To exit the Export window, choose this button. If an export is in progress, the export will be canceled automatically.


Exporting All Signal Data

Exporting All Signal Data (Raw)
Visit us on Facebook

This export method can be selected from the Main menu (Menu->Export->UnDecoded Capture) and provides a means of exporting the raw data of all defined signals. The available options let you chose which signals to export, time format, numerical format, field separator, inclusion of line numbers, inclusion of a timestamp and whether to use compression. (see: Exporting)

The Exported Data Example area will be updated automatically to reflect any changes in export options.

Timestamp

If the "Include Time Stamp" option is selected, the time field will be formatted as the absolute time or (if set to Delta) as the time since the previous sample (or the last known sample after the starting time). If the "Data Compression" option is set to OFF and this option is set to Delta, then the time field will show the sample rate.

Numerical Format

This option determines the formatting for each signal that uses more than one channel (Boolean signals will always be formatted as a '1' or '0'). This option will display the format setting of a signal when a signal is selected. To change the format for a signal, first select the signal in the Signal Selection area. If changes are allowed for the selected signal, then the format options will "enable". Select the desired option.

Field Separator

Chose the character for separating each item on a line of exported data.

Include Line Numbers

Select this option to include a consecutive line number at the beginning of each line.

Include Time Stamp

Select this option to include the time of each exported sample.

Signal Selection

Check each signal to include in the export. The order of export is determined by the order in which each signal is checked. To have the export order match the listed order, use the Clear All button to clear all selections, then use the Select All button to select all the signals in the order shown. To move a signal to the end of the export line, uncheck and then recheck the signal.

When a signal is highlighted with the mouse, its export format setting will be shown in the Numerical Format option. This option can be changed by selecting the desired format (excluding Boolean signals).

Data Compression

Setting this option to ON will greatly reduce the size of the export file. With compression on, the redundant or "dead" periods of data will be excluded and only changes in the data will be exported. If this option is set to OFF, then no data will be eliminated and all samples at the maximum resolution will be exported. This could lead to very long exports with sizes up in the Terabyte range.

Clear All Button

Use this button to "uncheck" all signals in the Signal Selection Area. Unchecked signals will be excluded from the export.

Select All Button

Use this button to "check" all signals in the Signal Selection Area. All checked signals will be included in the export.

Exported Data Example

This area provides an instant "preview" of the data to export and is updated when any option or signal selection is changed.


Exporting from List Windows

This export method can be selected from the Main menu (Menu->Export->Table/Decoded List) or directly from a Tabular View's menu. List Exports export the decoded data of higher level signals (such as I2C), and will have a slightly different set of options that are specific to each signal type. (see: Exporting, Signal Types, Tabular Views)

The Exported Data Example area will be updated automatically to reflect any changes in export options.

Numerical Format (Radix)

This option determines the formatting for each signal that uses more than one channel (Boolean signals will always be formatted as a '1' or '0'). This option will display the format setting of the signal in the list view being exported. To change the format for exporting, select the desired option.

Field Separator

Chose the character for separating each item on a line of exported data.

Field Mode

Select this option to force each field to a new line when framing data is present. Uncheck this option to output a frame of fields per line.

Include Field Names

Select this option to include the Field name in the export.

Include Line Numbers

Select this option to include the line number at the beginning of each line.

Include Time Stamp

Select this option to include the time of each exported sample.

Exported Data Example

This area provides an instant "preview" of the data to export and is updated when any option or signal format is changed.


Exporting from Table Windows

This export method can be selected from the Main menu (Menu->Export->Table/List-> choose a Table) or directly from a Table Window's menu. Table Exports provide all the same options as the "Export All" function, but will automatically include all columns of the table. This means you will not have to select which signals to export, plus all channels of any signals that are "expanded" will also be included in the export. This is the only export method that will export expanded channels. (see: Exporting, Export All, Table Windows)

Tables display and export signals in their "raw" data format. If you need to export the decoded data of higher level signals (such as I2C), then the List Export should be used instead. (see: List Export, I2C Signals)

The Exported Data Example area will be updated automatically to reflect any changes in export options.

Timestamp

If the "Include Time Stamp" option is selected, the time field will be formatted as the absolute time or (if set to Delta) as the time since the previous sample (or the last known sample after the starting time). If the "Data Compression" option is set to OFF and this option is set to Delta, then the time field will show the sample rate.

Numerical Format

This option determines the formatting for each signal that uses more than one channel (Boolean signals will always be formatted as a '1' or '0'). This option will display the format setting of a signal when a signal is selected. To change the format for a signal, first select the signal in the Signal Selection area. If changes are allowed for the selected signal, then the format options will "enable". Select the desired option.

Field Separator

Chose the character for separating each item on a line of exported data.

Include Line Numbers

Select this option to include a consecutive line number at the beginning of each line.

Include Time Stamp

Select this option to include the time of each exported sample.

Signal Selection

All Signals in the Table are automatically displayed in this area and "checked" for export. To exclude a signal from the export, cancel the export, remove the signal from the Table, then select export again. Optionally you could use the Export All function if you do not need to export the channels of "Expanded" signals. (see: Export All)

When a signal is highlighted with the mouse, its export format setting will be shown in the Numerical Format option. This option can be changed by selecting the desired format (excluding Boolean signals).

Data Compression

Setting this option to ON will greatly reduce the size of the export file. With compression on, the redundant or "dead" periods of data will be excluded and only changes in the data will be exported. If this option is set to OFF, then no data will be eliminated and all samples at the maximum resolution will be exported. This could lead to very long exports with sizes up in the Terabyte range.

Exported Data Example

This area provides an instant "preview" of the data to export and is updated when any option or signal format is changed.


Printing and Saving Images

While analyzing the data, you may want to save a specific view to a graphic file or send it to a printer. Both of these functions can be done from DigiView's Print Preview window. To open the Print Preview window, select the "Print" or "Save Image" option from the menu of any window you want to print.

To Print using the main menu select Main Menu-> Print and then select the window from the list.

To Save an Image using the main menu select Main Menu-> Save Image and then select the window from the list.

Both lists include a selection for the Main Window and any feature window you have added to the project. To print or save an image of just a waveform view, use the Waveform View's local menu.

After selecting what you want to print and opening the Print Preview window, you can switch between printing and saving an image by clicking on the tabs at the top of the window. Most of the options are the same between the two methods of output with the differences being the output size, resolution and orientation.

Print Example

Print Specific Options

Output Device

A pull down selection list of all available print devices. Use this option to select the Printer, Fax or PDF print driver. After making a selection, the Page Size information and the preview will update to match the properties of the print device. The size of the printable area (followed by the print resolution) is displayed in the lower left corner.

To change the properties of the selected print device use the "Printer Options" button beside the selection list which will open the Print Setup window.

Orientation

Print devices allow you to change the orientation of the output switching between Landscape (horizontal) and Portrait (vertical). You can do this in the Print Setup window by selecting the "Printer Options" button or use the orientation buttons. If you change this setting in the Setup window the orientation buttons will change to match. Advanced options for the print device can be accessed by using the "Properties" button in the Print Setup window.

For print output, the actual printed image will adjust to fit within the printable area and orientation of the Print Device and allows for spacing needed by the border, header and comments if selected.

Send to Printer

Press this button to send the preview to the print device.

Image Example

Image Specific Options

Orientation

The orientation of the Image is fixed to its screen orientation and "Size by Content" is permanently selected. The content of the image remains fixed but the output is sized to include the border area, header and comments if selected. The final output size is displayed in pixels at the lower left corner of the window and followed by the resolution (pixels per inch).

Save Image

Press this button to save the preview as a JPEG image file. You can select the file name and destination or cancel the save using the Image selector window that appears.

General Preview Options

Preview Size

Adjusting the window size will automatically re-scale the preview unless the no-scale option is selected.

Scale to Height and Width - The preview is scaled to completely fit in the window so no scroll bars are needed.

Scale to Width - The preview is scaled to fit the width of the window. A vertical scrollbar will appear if the preview height is taller the the window display area.

No Scale (actual size) - The preview is not scaled and the preview is displayed at 100%. For print output this could be very large depending on the properties of the selected print device. The vertical and horizontal scrollbars will appear if needed.

Items to Include

Header - When selected a Header space is included at the top of the output with the Analyzer Model printed on the left. If no other header options are selected, the rest of the area will remain blank.

Optional items to include in the header:

Print Detail - Select this option to include the Print Date and Time in the header.

Capture Detail - Select this option to include The Capture Date and Time and the Capture ID number in the header.

Project Detail - Select this option to include the project file name in the header. The additional "Project Detail" option controls whether the project path is also included or if a custom caption is included.

Comments - When selected the Comment Options and Editor will be visible and included in the output.

Project Detail Option

print project detail

If you select Use "Project Location", the project path will be used for the project detail beneath the project name. To enter custom text for the detail option just uncheck the "Project Location" option and type your text in the edit box just below it. Your custom text (or blank text if desired) will appear in the header beneath the project's file name.

If you re-select this option the path will appear in the edit box and the custom text is remembered. if you uncheck this option later, the custom text is restored.

Project Comment Options and Editor

The comment editor and options will be visible if you selected to include comments in the include section.

The default comment options (shown above) are set so you can type as many lines as you want and not worry about line spacing or formatting where each line ends. These are "Word Wrap Output" enabled and Reserve space set to "By Line Count". With these two options set, the output adjusts to accommodate the entire text in the output. For images the height grows by the needed (or selected) space. On print output (which has a fixed printable area) the content is reduced by the amount of space for the comment.

If you only want to reserve a specific portion of the output for comments (even without typing a comment) set the "Reserve Space" option to the desired percentage (10% to 50%).

Subject - Type anything here and it will appear above the comment section in the output. The example above has "Glitch Details" entered instead of the default of "Comments".